Merge remote-tracking branch 'origin/release_1.27.0'

Change-Id: I6bda1861afebe2c3cb4a360c7f511a1daf0a6a34
diff --git a/bundles/org.eclipse.emf.ecp.application.e3/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.application.e3/META-INF/MANIFEST.MF
index 46b4426..2f8e32a 100644
--- a/bundles/org.eclipse.emf.ecp.application.e3/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.application.e3/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Demo Application Eclipse 3.x
 Bundle-SymbolicName: org.eclipse.emf.ecp.application.e3;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.application3x.Activator
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.application3x;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.application3x;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.ui.e3;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.e3;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.7.0,4.0.0)",
diff --git a/bundles/org.eclipse.emf.ecp.application.e3/pom.xml b/bundles/org.eclipse.emf.ecp.application.e3/pom.xml
index 8595ac4..e5a9406 100644
--- a/bundles/org.eclipse.emf.ecp.application.e3/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.application.e3/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.application.e3</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.application.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.application.e4/META-INF/MANIFEST.MF
index eecaf28..9226b5b 100644
--- a/bundles/org.eclipse.emf.ecp.application.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.application.e4/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP e4 Application
 Bundle-SymbolicName: org.eclipse.emf.ecp.application.e4;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.application.e4.editor;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.e4;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.application.e4.editor;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.e4;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.ui.workbench;bundle-version="[0.10.0,2.0.0)",
  org.eclipse.e4.ui.model.workbench;bundle-version="[0.10.0,3.0.0)",
  org.eclipse.e4.core.contexts;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.equinox.event;bundle-version="[1.3.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.application.e4
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.osgi.framework;version="[1.2.0,2.0.0)"
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.application.e4/pom.xml b/bundles/org.eclipse.emf.ecp.application.e4/pom.xml
index 825bf9c..0f0252f 100644
--- a/bundles/org.eclipse.emf.ecp.application.e4/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.application.e4/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.application.e4</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.cdo.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.cdo.core/META-INF/MANIFEST.MF
index cdbb1d6..2258897 100644
--- a/bundles/org.eclipse.emf.ecp.cdo.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.cdo.core/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP CDO Model Repository Core
 Bundle-SymbolicName: org.eclipse.emf.ecp.cdo.core;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.cdo.internal.core.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.cdo.internal.core;version="1.26.0";x-friends:="org.eclipse.emf.ecp.cdo.ui"
+Export-Package: org.eclipse.emf.ecp.cdo.internal.core;version="1.27.0";x-friends:="org.eclipse.emf.ecp.cdo.ui"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.cdo.net4j;bundle-version="[4.1.0,5.0.0)",
  org.eclipse.emf.cdo.workspace;bundle-version="[4.1.0,5.0.0)";visibility:=reexport,
  org.eclipse.emf.cdo.server.db;bundle-version="[4.1.0,5.0.0)",
diff --git a/bundles/org.eclipse.emf.ecp.cdo.core/pom.xml b/bundles/org.eclipse.emf.ecp.cdo.core/pom.xml
index 8208b6c..4d806db 100644
--- a/bundles/org.eclipse.emf.ecp.cdo.core/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.cdo.core/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.cdo.core</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.cdo.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.cdo.ui/META-INF/MANIFEST.MF
index 84043e4..eaf8b9a 100644
--- a/bundles/org.eclipse.emf.ecp.cdo.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.cdo.ui/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: CDO Model Repository ECP UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.cdo.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.cdo.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.cdo.internal.ui;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.cdo.internal.ui.handlers;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.cdo.internal.ui;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.cdo.internal.ui.handlers;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.cdo.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.cdo.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.cdo.edit;bundle-version="[4.0.0,5.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.net4j.util.ui;bundle-version="[3.0.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.cdo.ui/pom.xml b/bundles/org.eclipse.emf.ecp.cdo.ui/pom.xml
index 3b39c80..0fdac27 100644
--- a/bundles/org.eclipse.emf.ecp.cdo.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.cdo.ui/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.cdo.ui</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.changebroker.provider/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.changebroker.provider/META-INF/MANIFEST.MF
index e8e2552..04debca 100644
--- a/bundles/org.eclipse.emf.ecp.changebroker.provider/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.changebroker.provider/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Change Broker Provider Bridge
 Bundle-SymbolicName: org.eclipse.emf.ecp.changebroker.provider
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.changebroker.provider.internal;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.changebroker;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.changebroker.provider.internal;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.changebroker;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.common;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.changebroker.provider
diff --git a/bundles/org.eclipse.emf.ecp.changebroker.provider/pom.xml b/bundles/org.eclipse.emf.ecp.changebroker.provider/pom.xml
index a3a3c27..4d70784 100644
--- a/bundles/org.eclipse.emf.ecp.changebroker.provider/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.changebroker.provider/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.changebroker.provider</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.changebroker/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.changebroker/META-INF/MANIFEST.MF
index a9d03f1..086c168 100644
--- a/bundles/org.eclipse.emf.ecp.changebroker/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.changebroker/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Change Broker
 Bundle-SymbolicName: org.eclipse.emf.ecp.changebroker
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.changebroker.internal;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.changebroker.spi;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.changebroker.internal;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.changebroker.spi;version="1.27.0"
 Require-Bundle: org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.changebroker
diff --git a/bundles/org.eclipse.emf.ecp.changebroker/pom.xml b/bundles/org.eclipse.emf.ecp.changebroker/pom.xml
index 8fc2aa6..99abccc 100644
--- a/bundles/org.eclipse.emf.ecp.changebroker/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.changebroker/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.changebroker</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.common.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.common.ui/META-INF/MANIFEST.MF
index c24e5a2..3fb4853 100644
--- a/bundles/org.eclipse.emf.ecp.common.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.common.ui/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Common UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.common.ui
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.common.ui;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.spi.common.ui;version="1.26.0",
- org.eclipse.emf.ecp.spi.common.ui.composites;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.internal.common.ui;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.spi.common.ui;version="1.27.0",
+ org.eclipse.emf.ecp.spi.common.ui.composites;version="1.27.0"
 Require-Bundle: org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.common.ui
 Import-Package: org.eclipse.emf.edit.ui.provider;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.common.ui/pom.xml b/bundles/org.eclipse.emf.ecp.common.ui/pom.xml
index 857f799..5ab4d89 100644
--- a/bundles/org.eclipse.emf.ecp.common.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.common.ui/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.common.ui</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.common/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.common/META-INF/MANIFEST.MF
index ff020ad..1ad3dda 100644
--- a/bundles/org.eclipse.emf.ecp.common/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.common/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Common
 Bundle-SymbolicName: org.eclipse.emf.ecp.common
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.common.spi;version="1.26.0",
- org.eclipse.emf.ecp.common.spi.asserts;version="1.26.0",
- org.eclipse.emf.ecp.common.spi.cachetree;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.common.spi;version="1.27.0",
+ org.eclipse.emf.ecp.common.spi.asserts;version="1.27.0",
+ org.eclipse.emf.ecp.common.spi.cachetree;version="1.27.0"
 Require-Bundle: org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.common/pom.xml b/bundles/org.eclipse.emf.ecp.common/pom.xml
index 9054c17..30e1583 100644
--- a/bundles/org.eclipse.emf.ecp.common/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.common/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.common</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.core.emffilter/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.core.emffilter/META-INF/MANIFEST.MF
index e3ee5bf..c386c84 100644
--- a/bundles/org.eclipse.emf.ecp.core.emffilter/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.core.emffilter/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Emffilter
 Bundle-SymbolicName: org.eclipse.emf.ecp.core.emffilter;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.core.emffilter.internal.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.core.emffilter.internal;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.core.emffilter.internal;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.core.emffilter
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.core.emffilter/pom.xml b/bundles/org.eclipse.emf.ecp.core.emffilter/pom.xml
index 95277c7..1bb3b04 100644
--- a/bundles/org.eclipse.emf.ecp.core.emffilter/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.core.emffilter/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.core.emffilter</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/META-INF/MANIFEST.MF
index 250d92c..67e6912 100644
--- a/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Core RAP Sessionprovider
 Bundle-SymbolicName: org.eclipse.emf.ecp.core.rap.sessionprovider.rwt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.core.rap.sessionprovider.rwt;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.core.rap;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.core.rap.sessionprovider.rwt;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.core.rap;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/component.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.servlet.http;version="0.0.0",
- org.eclipse.emf.ecp.core.rap;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core.rap;version="[1.27.0,1.28.0)",
  org.eclipse.rap.rwt;version="0.0.0",
  org.eclipse.rap.rwt.service;version="3.0.2"
 Automatic-Module-Name: org.eclipse.emf.ecp.core.rap.sessionprovider.rwt
diff --git a/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/pom.xml b/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/pom.xml
index 7eae342..479cd33 100644
--- a/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.core.rap.sessionprovider.rwt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.core.rap.sessionprovider.rwt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.core.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.core.rap/META-INF/MANIFEST.MF
index 891fd62..d377a6b 100644
--- a/bundles/org.eclipse.emf.ecp.core.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.core.rap/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Core RAP
 Bundle-SymbolicName: org.eclipse.emf.ecp.core.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.core.rap.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.core.rap;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.core.rap;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.runtime;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.core.rap/pom.xml b/bundles/org.eclipse.emf.ecp.core.rap/pom.xml
index feaf114..1635956 100644
--- a/bundles/org.eclipse.emf.ecp.core.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.core.rap/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.core.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.core/META-INF/MANIFEST.MF
index 444e0e1..7081a00 100644
--- a/bundles/org.eclipse.emf.ecp.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.core/META-INF/MANIFEST.MF
@@ -2,30 +2,30 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Core
 Bundle-SymbolicName: org.eclipse.emf.ecp.core;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.core.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.core;version="1.26.0",
- org.eclipse.emf.ecp.core.exceptions;version="1.26.0",
- org.eclipse.emf.ecp.core.util;version="1.26.0",
- org.eclipse.emf.ecp.core.util.observer;version="1.26.0",
- org.eclipse.emf.ecp.internal.core;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.core;version="1.27.0",
+ org.eclipse.emf.ecp.core.exceptions;version="1.27.0",
+ org.eclipse.emf.ecp.core.util;version="1.27.0",
+ org.eclipse.emf.ecp.core.util.observer;version="1.27.0",
+ org.eclipse.emf.ecp.internal.core;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.ui,
    org.eclipse.emf.ecp.ui.view.test,
    org.eclipse.emf.ecp.edit.ecore.swt,
    org.eclipse.emf.ecp.core.rap",
- org.eclipse.emf.ecp.internal.core.properties;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.internal.core.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui",
- org.eclipse.emf.ecp.internal.core.util.observer;version="1.26.0";x-friends:="org.eclipse.emf.ecp.core.rap",
- org.eclipse.emf.ecp.spi.core;version="1.26.0",
- org.eclipse.emf.ecp.spi.core.util;version="1.26.0"
+ org.eclipse.emf.ecp.internal.core.properties;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.internal.core.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui",
+ org.eclipse.emf.ecp.internal.core.util.observer;version="1.27.0";x-friends:="org.eclipse.emf.ecp.core.rap",
+ org.eclipse.emf.ecp.spi.core;version="1.27.0",
+ org.eclipse.emf.ecp.spi.core.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.5.0,3.0.0)";visibility:=reexport,
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)"
-Import-Package: org.eclipse.emfforms.common;version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)"
+Import-Package: org.eclipse.emfforms.common;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.core
 Service-Component: OSGI-INF/ecpProviderRegistry.xml,OSGI-INF/ecpRepositoryManager.xml,OSGI-INF/ecpProjectManager.xml,OSGI-INF/ecpObserverBus.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.core/pom.xml b/bundles/org.eclipse.emf.ecp.core/pom.xml
index 223a829..d28c022 100644
--- a/bundles/org.eclipse.emf.ecp.core/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.core/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.core</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.diagnostician/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diagnostician/META-INF/MANIFEST.MF
index 1f4656b..a47d61f 100644
--- a/bundles/org.eclipse.emf.ecp.diagnostician/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diagnostician/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Diagnostician
 Bundle-SymbolicName: org.eclipse.emf.ecp.validation.diagnostician;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.diagnostician.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.diagnostician;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4,org.eclipse.emf.ecp.ui.validation.test",
- org.eclipse.emf.ecp.internal.diagnostician;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.diagnostician;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4,org.eclipse.emf.ecp.ui.validation.test",
+ org.eclipse.emf.ecp.internal.diagnostician;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.diagnostician/pom.xml b/bundles/org.eclipse.emf.ecp.diagnostician/pom.xml
index 1f263a1..d0597cc 100644
--- a/bundles/org.eclipse.emf.ecp.diagnostician/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diagnostician/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.validation.diagnostician</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.context/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diffmerge.context/META-INF/MANIFEST.MF
index 0be505e..dd89d04 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.context/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.context/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Diff Merge Context
 Bundle-SymbolicName: org.eclipse.emf.ecp.diffmerge.context
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.diffmerge.internal.context.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.diffmerge.internal.context;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.diffmerge.spi.context;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+Export-Package: org.eclipse.emf.ecp.diffmerge.internal.context;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.diffmerge.spi.context;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.4.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.diffmerge.context
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.context/pom.xml b/bundles/org.eclipse.emf.ecp.diffmerge.context/pom.xml
index e8800a0..8425ff2 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.context/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.context/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.diffmerge.context</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/META-INF/MANIFEST.MF
index 5cb8d14..66f6a91 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.diffmerge.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.spi.diffmerge.model.provider.DiffmergeEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.spi.diffmerge.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.spi.diffmerge.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.diffmerge.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/pom.xml
index 717e7a2..f4ca562 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.model.edit/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.diffmerge.model.edit</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diffmerge.model/META-INF/MANIFEST.MF
index 8e7c829..d0af0c6 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.diffmerge.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.spi.diffmerge.model;version="1.26.0",
- org.eclipse.emf.ecp.spi.diffmerge.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.spi.diffmerge.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.spi.diffmerge.model;version="1.27.0",
+ org.eclipse.emf.ecp.spi.diffmerge.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.spi.diffmerge.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.diffmerge.model
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.model/pom.xml b/bundles/org.eclipse.emf.ecp.diffmerge.model/pom.xml
index 6adcf5ca..5590090 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.model/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.diffmerge.model</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/META-INF/MANIFEST.MF
index 65351a4..d522f5c 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/META-INF/MANIFEST.MF
@@ -2,28 +2,28 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: DiffMerge Renderer
 Bundle-SymbolicName: org.eclipse.emf.ecp.diffmerge.renderer.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.diffmerge.internal.renderer.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.diffmerge.internal.renderer.swt;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.diffmerge.internal.renderer.swt;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.diffmerge.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.diffmerge.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.diffmerge.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.diffmerge.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.diffmerge.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core;version="[1.27.0,1.28.0)",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/pom.xml b/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/pom.xml
index 4931a04..6dd7dba 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.renderer.swt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.diffmerge.renderer.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.diffmerge.swt/META-INF/MANIFEST.MF
index 6342fb1..4724ca4 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.swt/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: DiffMerge UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.diffmerge.swt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.diffmerge.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.diffmerge.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.diffmerge.renderer.swt"
+Export-Package: org.eclipse.emf.ecp.diffmerge.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.diffmerge.renderer.swt"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.diffmerge.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.diffmerge.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.jface.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.diffmerge.swt/pom.xml b/bundles/org.eclipse.emf.ecp.diffmerge.swt/pom.xml
index d8209ec..97c35d7 100644
--- a/bundles/org.eclipse.emf.ecp.diffmerge.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.diffmerge.swt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.diffmerge.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.doc/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.doc/META-INF/MANIFEST.MF
index 5d71e24..65af1fc 100644
--- a/bundles/org.eclipse.emf.ecp.doc/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.doc/META-INF/MANIFEST.MF
@@ -2,6 +2,6 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Doc
 Bundle-SymbolicName: org.eclipse.emf.ecp.doc;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Require-Bundle: org.eclipse.ui.intro;bundle-version="[3.4.0,4.0.0)"
diff --git a/bundles/org.eclipse.emf.ecp.doc/pom.xml b/bundles/org.eclipse.emf.ecp.doc/pom.xml
index 9b9cecc..ca35a2c 100644
--- a/bundles/org.eclipse.emf.ecp.doc/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.doc/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.doc</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ecore.editor.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ecore.editor.ui/META-INF/MANIFEST.MF
index b05365d..d4ddfaa 100644
--- a/bundles/org.eclipse.emf.ecp.ecore.editor.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ecore.editor.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECore GenModel Test
 Bundle-SymbolicName: org.eclipse.emf.ecp.ecore.editor.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Export-Package: org.eclipse.emf.ecp.ecore.editor.ui;version="1.2.0";x-internal:=true,
  org.eclipse.emf.ecp.ecore.editor.ui.operations;version="1.2.0";x-internal:=true
@@ -14,7 +14,7 @@
  org.eclipse.emf.edit.ui;bundle-version="[2.9.0,3.0.0)",
  org.eclipse.jface.text;bundle-version="[3.8.101,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.ecore.editor;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ecore.editor;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.swt;bundle-version="[3.102.1,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ecore.editor.ui
diff --git a/bundles/org.eclipse.emf.ecp.ecore.editor.ui/pom.xml b/bundles/org.eclipse.emf.ecp.ecore.editor.ui/pom.xml
index 7680d1c..27bc9bf 100644
--- a/bundles/org.eclipse.emf.ecp.ecore.editor.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ecore.editor.ui/pom.xml
@@ -5,11 +5,11 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

   <groupId>org.eclipse.emf.ecp</groupId>

   <artifactId>org.eclipse.emf.ecp.ecore.editor.ui</artifactId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <packaging>eclipse-plugin</packaging>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.ecore.editor/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ecore.editor/META-INF/MANIFEST.MF
index 23296b6..a2b9db5 100644
--- a/bundles/org.eclipse.emf.ecp.ecore.editor/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ecore.editor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP ECore Editor
 Bundle-SymbolicName: org.eclipse.emf.ecp.ecore.editor;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Export-Package: org.eclipse.emf.ecp.ecore.editor;version="1.2.0";x-friends:="org.eclipse.emf.ecp.ecore.editor.test,org.eclipse.emf.ecp.ecore.editor.ui",
  org.eclipse.emf.ecp.ecore.editor.factory;version="1.2.0";x-friends:="org.eclipse.emf.ecp.ecore.editor.test,org.eclipse.emf.ecp.ecore.editor.ui",
diff --git a/bundles/org.eclipse.emf.ecp.ecore.editor/pom.xml b/bundles/org.eclipse.emf.ecp.ecore.editor/pom.xml
index 8d5cb7e..64a9281 100644
--- a/bundles/org.eclipse.emf.ecp.ecore.editor/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ecore.editor/pom.xml
@@ -5,11 +5,11 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

   <groupId>org.eclipse.emf.ecp</groupId>

   <artifactId>org.eclipse.emf.ecp.ecore.editor</artifactId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <packaging>eclipse-plugin</packaging>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.edit.ecore.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.edit.ecore.swt/META-INF/MANIFEST.MF
index e2d30fa..de43eca 100644
--- a/bundles/org.eclipse.emf.ecp.edit.ecore.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.edit.ecore.swt/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Editor controls for Ecore Elements (Deprecated)
 Bundle-SymbolicName: org.eclipse.emf.ecp.edit.ecore.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.edit.ecore.swt.internal;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.edit.ecore.swt.internal;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.edit.ecore.swt
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.edit.ecore.swt/pom.xml b/bundles/org.eclipse.emf.ecp.edit.ecore.swt/pom.xml
index 74e182c..f03266e 100644
--- a/bundles/org.eclipse.emf.ecp.edit.ecore.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.edit.ecore.swt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.edit.ecore.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.edit.swt/META-INF/MANIFEST.MF
index 5f87555..673b70c 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.emf.ecp.edit.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.edit.internal.swt.Activator
 Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.emf.ecp.edit.internal.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.view.treemasterdetail.ui.swt,org.eclipse.emf.ecp.view.core.swt",
- org.eclipse.emf.ecp.edit.internal.swt.actions;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.edit.ecore.swt",
- org.eclipse.emf.ecp.edit.internal.swt.controls;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.edit.internal.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.view.treemasterdetail.ui.swt,org.eclipse.emf.ecp.view.core.swt",
+ org.eclipse.emf.ecp.edit.internal.swt.actions;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.edit.ecore.swt",
+ org.eclipse.emf.ecp.edit.internal.swt.controls;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.ui.view.swt,
    org.eclipse.emf.ecp.ui.view.editor.controls,
    org.eclipse.emf.ecp.view.table.ui.swt,
    org.eclipse.emf.ecp.view.core.swt",
- org.eclipse.emf.ecp.edit.internal.swt.reference;version="1.26.0";x-friends:="org.eclipse.emf.ecp.edit.ecore.swt,org.eclipse.emf.ecp.ui.view.editor.controls",
- org.eclipse.emf.ecp.edit.internal.swt.table;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt,org.eclipse.emfforms.swt.control.multiattribute",
- org.eclipse.emf.ecp.edit.internal.swt.util;version="1.26.0";
+ org.eclipse.emf.ecp.edit.internal.swt.reference;version="1.27.0";x-friends:="org.eclipse.emf.ecp.edit.ecore.swt,org.eclipse.emf.ecp.ui.view.editor.controls",
+ org.eclipse.emf.ecp.edit.internal.swt.table;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt,org.eclipse.emfforms.swt.control.multiattribute",
+ org.eclipse.emf.ecp.edit.internal.swt.util;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.editor,
    org.eclipse.emf.ecp.explorereditorbridge,
    org.eclipse.emf.ecp.ui.view.swt,
@@ -26,31 +26,33 @@
    org.eclipse.emf.ecp.view.treemasterdetail.ui.swt,
    org.eclipse.emf.ecp.view.core.swt,
    org.eclipse.emfforms.swt.control.multiattribute",
- org.eclipse.emf.ecp.edit.spi.swt.actions;version="1.26.0",
- org.eclipse.emf.ecp.edit.spi.swt.commands;version="1.26.0",
- org.eclipse.emf.ecp.edit.spi.swt.reference;version="1.26.0",
- org.eclipse.emf.ecp.edit.spi.swt.table;version="1.26.0",
- org.eclipse.emf.ecp.edit.spi.swt.util;version="1.26.0"
+ org.eclipse.emf.ecp.edit.spi.swt.actions;version="1.27.0",
+ org.eclipse.emf.ecp.edit.spi.swt.commands;version="1.27.0",
+ org.eclipse.emf.ecp.edit.spi.swt.reference;version="1.27.0",
+ org.eclipse.emf.ecp.edit.spi.swt.table;version="1.27.0",
+ org.eclipse.emf.ecp.edit.spi.swt.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.databinding.fieldassist;version="0.0.0",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
+ org.eclipse.jface.databinding.viewers.typed;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.fieldassist;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/pom.xml b/bundles/org.eclipse.emf.ecp.edit.swt/pom.xml
index de73825..3b5e83c 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.edit.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/AbstractTextControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/AbstractTextControl.java
index dad017e..1128a10 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/AbstractTextControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/AbstractTextControl.java
@@ -26,8 +26,7 @@
 import org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.VTTextControlEnablementStyleProperty;
 import org.eclipse.emf.edit.command.SetCommand;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.layout.GridData;
@@ -161,7 +160,7 @@
 
 	@Override
 	public Binding bindValue() {
-		final IObservableValue value = SWTObservables.observeText(text, SWT.FocusOut);
+		final IObservableValue value = WidgetProperties.text(SWT.FocusOut).observe(text);
 		final TargetToModelUpdateStrategy targetToModelUpdateStrategy = new TargetToModelUpdateStrategy();
 		final ModelToTargetUpdateStrategy modelToTargetUpdateStrategy = new ModelToTargetUpdateStrategy();
 		final Binding binding = getDataBindingContext().bindValue(value, getModelValue(),
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/BooleanControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/BooleanControl.java
index f950ca6..3e946ad 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/BooleanControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/BooleanControl.java
@@ -17,7 +17,7 @@
 import org.eclipse.core.databinding.Binding;
 import org.eclipse.core.databinding.observable.value.IObservableValue;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.widgets.Button;
@@ -59,7 +59,7 @@
 
 	@Override
 	public Binding bindValue() {
-		final IObservableValue targetValue = SWTObservables.observeSelection(check);
+		final IObservableValue targetValue = WidgetProperties.buttonSelection().observe(check);
 		return getDataBindingContext().bindValue(targetValue, getModelValue());
 	}
 
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/DateTimeControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/DateTimeControl.java
index 5196bc5..7b08edc 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/DateTimeControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/DateTimeControl.java
@@ -18,7 +18,7 @@
 import org.eclipse.core.databinding.observable.value.DateAndTimeObservableValue;
 import org.eclipse.core.databinding.observable.value.IObservableValue;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
@@ -86,8 +86,8 @@
 
 	@Override
 	public Binding bindValue() {
-		final IObservableValue dateObserver = SWTObservables.observeSelection(dateWidget);
-		final IObservableValue timeObserver = SWTObservables.observeSelection(timeWidget);
+		final IObservableValue dateObserver = WidgetProperties.dateTimeSelection().observe(dateWidget);
+		final IObservableValue timeObserver = WidgetProperties.dateTimeSelection().observe(timeWidget);
 		final IObservableValue target = new DateAndTimeObservableValue(dateObserver, timeObserver);
 		final Binding binding = getDataBindingContext().bindValue(target, getModelValue());
 		return binding;
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/EEnumControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/EEnumControl.java
index 0846cd1..5410cf6 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/EEnumControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/EEnumControl.java
@@ -19,8 +19,8 @@
 import org.eclipse.emf.ecore.EStructuralFeature.Setting;
 import org.eclipse.emf.edit.provider.IItemLabelProvider;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
-import org.eclipse.jface.databinding.viewers.ViewersObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
+import org.eclipse.jface.databinding.viewers.typed.ViewerProperties;
 import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.LabelProvider;
@@ -70,7 +70,7 @@
 
 	@Override
 	public Binding bindValue() {
-		final IObservableValue target = ViewersObservables.observeSingleSelection(combo);
+		final IObservableValue target = ViewerProperties.singleSelection().observe(combo);
 		final Binding bindValue = getDataBindingContext().bindValue(target, getModelValue());
 		getDataBindingContext().bindValue(WidgetProperties.tooltipText().observe(combo.getControl()), getModelValue());
 		return bindValue;
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/NumericalControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/NumericalControl.java
index 709a211..280df23 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/NumericalControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/NumericalControl.java
@@ -27,7 +27,7 @@
 import org.eclipse.emf.ecp.edit.spi.swt.util.ECPDialogExecutor;
 import org.eclipse.emf.edit.command.SetCommand;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.resource.JFaceResources;
@@ -90,7 +90,7 @@
 	@Override
 	public Binding bindValue() {
 		// TODO: FocusOut doesn't seem to fire in case the same invalid text is entered twice
-		final IObservableValue value = SWTObservables.observeText(getText(), SWT.FocusOut);
+		final IObservableValue value = WidgetProperties.text(SWT.FocusOut).observe(getText());
 		final NumericalTargetToModelUpdateStrategy targetToModelStrategy = new NumericalTargetToModelUpdateStrategy();
 		final NumericalModelToTargetUpdateStrategy modelToTargetStrategy = new NumericalModelToTargetUpdateStrategy();
 		final Binding binding = getDataBindingContext().bindValue(value, getModelValue(), targetToModelStrategy,
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/TableControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/TableControl.java
index 84e8733..85df318 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/TableControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/TableControl.java
@@ -55,7 +55,7 @@
 import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
 import org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.ObservableListContentProvider;
 import org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider;
 import org.eclipse.jface.dialogs.IDialogConstants;
@@ -1119,7 +1119,7 @@
 			if (ECPCellEditor.class.isInstance(cellEditor)) {
 				return ((ECPCellEditor) cellEditor).getValueProperty().observe(cellEditor);
 			}
-			return SWTObservables.observeText(cellEditor.getControl(), SWT.FocusOut);
+			return WidgetProperties.text(SWT.FocusOut).observe(cellEditor.getControl());
 		}
 
 		@Override
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/XmlDateControlText.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/XmlDateControlText.java
index be869e8..46a094a 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/XmlDateControlText.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/controls/XmlDateControlText.java
@@ -31,7 +31,7 @@
 import org.eclipse.emf.ecp.edit.spi.swt.util.ECPDialogExecutor;
 import org.eclipse.emf.edit.command.SetCommand;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridDataFactory;
@@ -106,7 +106,7 @@
 
 	@Override
 	public Binding bindValue() {
-		final IObservableValue value = SWTObservables.observeText(getText(), SWT.FocusOut);
+		final IObservableValue value = WidgetProperties.text(SWT.FocusOut).observe(getText());
 		final DateTargetToModelUpdateStrategy targetToModelUpdateStrategy = new DateTargetToModelUpdateStrategy();
 		final DateModelToTargetUpdateStrategy modelToTargetUpdateStrategy = new DateModelToTargetUpdateStrategy();
 		final Binding binding = getDataBindingContext().bindValue(value, getModelValue(),
@@ -133,7 +133,7 @@
 			}
 			calendar.setDate(cal.get(Calendar.YEAR), cal.get(Calendar.MONTH), cal.get(Calendar.DAY_OF_MONTH));
 
-			final IObservableValue dateObserver = SWTObservables.observeSelection(calendar);
+			final IObservableValue dateObserver = WidgetProperties.dateTimeSelection().observe(calendar);
 			final Binding binding = getDataBindingContext().bindValue(dateObserver, getModelValue(),
 				new DateTargetToModelUpdateStrategy(), new DateModelToTargetUpdateStrategy());
 			binding.updateModelToTarget();
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/reference/LinkControl.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/reference/LinkControl.java
index 37cbc70..30fda2e 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/reference/LinkControl.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/reference/LinkControl.java
@@ -36,7 +36,7 @@
 import org.eclipse.emfforms.spi.core.services.editsupport.EMFFormsEditSupport;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/table/NumberCellEditor.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/table/NumberCellEditor.java
index 2a01c20..0116899 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/table/NumberCellEditor.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/internal/swt/table/NumberCellEditor.java
@@ -32,7 +32,7 @@
 import org.eclipse.emf.edit.command.SetCommand;
 import org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleProvider;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.CellEditorProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.dialogs.MessageDialog;
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/MultiStringCellEditor.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/MultiStringCellEditor.java
index eab15b3..1256fd2 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/MultiStringCellEditor.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/MultiStringCellEditor.java
@@ -22,7 +22,7 @@
 import org.eclipse.emf.databinding.EMFUpdateValueStrategy;
 import org.eclipse.emf.ecore.EStructuralFeature;
 import org.eclipse.emf.ecp.view.spi.context.ViewModelContext;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.CellEditorProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Image;
@@ -101,7 +101,7 @@
 		super(parent, style);
 	}
 
-	@SuppressWarnings({ "rawtypes", "unchecked" })
+	@SuppressWarnings({ "rawtypes" })
 	@Override
 	public IValueProperty getValueProperty() {
 		return CellEditorProperties.control().value(WidgetProperties.text(SWT.FocusOut));
diff --git a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/StringCellEditor.java b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/StringCellEditor.java
index a9c866e..d96b559 100644
--- a/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/StringCellEditor.java
+++ b/bundles/org.eclipse.emf.ecp.edit.swt/src/org/eclipse/emf/ecp/edit/spi/swt/table/StringCellEditor.java
@@ -19,7 +19,7 @@
 import org.eclipse.emf.ecore.EStructuralFeature;
 import org.eclipse.emf.ecp.view.spi.context.ViewModelContext;
 import org.eclipse.emf.edit.command.SetCommand;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.CellEditorProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Image;
diff --git a/bundles/org.eclipse.emf.ecp.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.edit/META-INF/MANIFEST.MF
index 9c46b3e..b398cf8 100644
--- a/bundles/org.eclipse.emf.ecp.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.edit/META-INF/MANIFEST.MF
@@ -2,25 +2,25 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.emf.ecp.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.edit.Activator
 Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.emf.ecp.edit.spi;version="1.26.0",
- org.eclipse.emf.ecp.edit.spi.util;version="1.26.0",
- org.eclipse.emf.ecp.internal.edit;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.edit.spi;version="1.27.0",
+ org.eclipse.emf.ecp.edit.spi.util;version="1.27.0",
+ org.eclipse.emf.ecp.internal.edit;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.6.0,3.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding;bundle-version="[1.3.0,2.0.0)";visibility:=reexport,
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)"
-Import-Package: org.eclipse.emf.ecp.view.model.common.edit.provider;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)"
+Import-Package: org.eclipse.emf.ecp.view.model.common.edit.provider;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="1.2.0"
 Automatic-Module-Name: org.eclipse.emf.ecp.edit
 Service-Component: OSGI-INF/ecpControlFactory.xml,OSGI-INF/org.eclipse.emf.ecp.internal.edit.DeleteServiceFactoryImpl.xml
diff --git a/bundles/org.eclipse.emf.ecp.edit/pom.xml b/bundles/org.eclipse.emf.ecp.edit/pom.xml
index 6df75d2..7d98ea9 100644
--- a/bundles/org.eclipse.emf.ecp.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.edit/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.edit</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.editor.e3/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.editor.e3/META-INF/MANIFEST.MF
index 3cf9a80..0c0e50e 100644
--- a/bundles/org.eclipse.emf.ecp.editor.e3/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.editor.e3/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Editor integration for 3.x Workbench
 Bundle-SymbolicName: org.eclipse.emf.ecp.editor.e3;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.editor.internal.e3.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.editor.e3;version="1.26.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
- org.eclipse.emf.ecp.editor.internal.e3;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.editor.e3;version="1.27.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
+ org.eclipse.emf.ecp.editor.internal.e3;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.editor.e3/pom.xml b/bundles/org.eclipse.emf.ecp.editor.e3/pom.xml
index 916e85d..04f5ea6 100644
--- a/bundles/org.eclipse.emf.ecp.editor.e3/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.editor.e3/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.editor.e3</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.json/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emf2web.json/META-INF/MANIFEST.MF
index 11df737..6ef67bd 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.json/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emf2web.json/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF To Web JSON
 Bundle-SymbolicName: org.eclipse.emf.ecp.emf2web.json
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emf2web.json.controller.xtend;version="1.26.0",
- org.eclipse.emf.ecp.emf2web.json.generator.seed.xtend;version="1.26.0",
- org.eclipse.emf.ecp.emf2web.json.generator.xtend;version="1.26.0",
- org.eclipse.emf.ecp.emf2web.json.util;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.emf2web.json.controller.xtend;version="1.27.0",
+ org.eclipse.emf.ecp.emf2web.json.generator.seed.xtend;version="1.27.0",
+ org.eclipse.emf.ecp.emf2web.json.generator.xtend;version="1.27.0",
+ org.eclipse.emf.ecp.emf2web.json.util;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.xtext.xbase.lib;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.xtend.lib;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.xtend.lib.macro;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.emf2web;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.emf2web;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  com.google.gson;bundle-version="[2.2.0,3.0.0)",
- org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.emf2web.json
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.json/pom.xml b/bundles/org.eclipse.emf.ecp.emf2web.json/pom.xml
index de3ab1a..28d3ea7 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.json/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emf2web.json/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.emf2web.json</artifactId>
   <packaging>eclipse-plugin</packaging>
   <groupId>org.eclipse.emf.ecp</groupId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.ui.json/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emf2web.ui.json/META-INF/MANIFEST.MF
index 6259377..153ad09 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.ui.json/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emf2web.ui.json/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF To Web JSON UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.emf2web.ui.json;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.emf2web.ui.json.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emf2web.ui.json;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emf2web.ui.json.internal.handler;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emf2web.ui.json.internal.messages;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.emf2web.ui.json;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emf2web.ui.json.internal.handler;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emf2web.ui.json.internal.messages;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
- org.eclipse.emf.ecp.emf2web.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.emf2web.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.resources;bundle-version="[3.10.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.11.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.11.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emf2web;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emf2web.json;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emf2web;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emf2web.json;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.emf2web.ui.json
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.ui.json/pom.xml b/bundles/org.eclipse.emf.ecp.emf2web.ui.json/pom.xml
index 79df261..5de1090 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.ui.json/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emf2web.ui.json/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.emf2web.ui.json</artifactId>
   <packaging>eclipse-plugin</packaging>
   <groupId>org.eclipse.emf.ecp</groupId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emf2web.ui/META-INF/MANIFEST.MF
index d10efcc..08d0d3f 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emf2web.ui/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF To Web UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.emf2web.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emf2web.ui.handler;version="1.26.0",
- org.eclipse.emf.ecp.emf2web.ui.messages;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emf2web.ui.wizard;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.emf2web;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.emf2web.ui.handler;version="1.27.0",
+ org.eclipse.emf.ecp.emf2web.ui.messages;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emf2web.ui.wizard;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.emf2web;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding;bundle-version="[1.5.0,2.0.0)",
  org.eclipse.core.databinding.beans;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.5.0,2.0.0)",
@@ -15,13 +15,14 @@
  org.eclipse.equinox.common;bundle-version="[3.7.0,4.0.0)",
  com.ibm.icu;bundle-version="54.1.0",
  org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.common.ui;bundle-version="[2.10.0,3.0.0)",
  org.eclipse.core.resources;bundle-version="[3.10.0,4.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.11.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.emf2web.ui
 Import-Package: org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.wizard;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0"
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.ui/pom.xml b/bundles/org.eclipse.emf.ecp.emf2web.ui/pom.xml
index 81bae71..05ca21b 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emf2web.ui/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.emf2web.ui</artifactId>
   <packaging>eclipse-plugin</packaging>
   <groupId>org.eclipse.emf.ecp</groupId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emf2web.ui/src/org/eclipse/emf/ecp/emf2web/ui/wizard/SelectLocationPage.java b/bundles/org.eclipse.emf.ecp.emf2web.ui/src/org/eclipse/emf/ecp/emf2web/ui/wizard/SelectLocationPage.java
index 030ff1a..3bd6160 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web.ui/src/org/eclipse/emf/ecp/emf2web/ui/wizard/SelectLocationPage.java
+++ b/bundles/org.eclipse.emf.ecp.emf2web.ui/src/org/eclipse/emf/ecp/emf2web/ui/wizard/SelectLocationPage.java
@@ -17,7 +17,7 @@
 
 import org.eclipse.core.databinding.DataBindingContext;
 import org.eclipse.core.databinding.UpdateValueStrategy;
-import org.eclipse.core.databinding.beans.PojoProperties;
+import org.eclipse.core.databinding.beans.typed.PojoProperties;
 import org.eclipse.core.databinding.conversion.IConverter;
 import org.eclipse.core.databinding.observable.value.IObservableValue;
 import org.eclipse.core.databinding.validation.IValidator;
@@ -32,7 +32,7 @@
 import org.eclipse.emf.common.util.URI;
 import org.eclipse.emf.ecp.emf2web.controller.xtend.GenerationInfo;
 import org.eclipse.emf.ecp.emf2web.ui.messages.Messages;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.wizard.WizardPageSupport;
 import org.eclipse.jface.fieldassist.ControlDecoration;
 import org.eclipse.jface.fieldassist.FieldDecoration;
@@ -194,7 +194,7 @@
 	 * Indicates if this page was already shown to the user.
 	 *
 	 * @return
-	 * 		{@code true} if this page was already shown to the user, {@code false} if this page was never shown to
+	 *         {@code true} if this page was already shown to the user, {@code false} if this page was never shown to
 	 *         the user.
 	 */
 	public boolean wasAlreadyVisible() {
@@ -389,7 +389,8 @@
 			null);
 
 		if (generationInfo.getWrapper() != null) {
-			final IObservableValue observeSelectionBtnWrapObserveWidget = WidgetProperties.selection().observe(btnWrap);
+			final IObservableValue observeSelectionBtnWrapObserveWidget = WidgetProperties.buttonSelection()
+				.observe(btnWrap);
 			final IObservableValue wrapGenerationInfoObserveValue = PojoProperties.value("wrap") //$NON-NLS-1$
 				.observe(generationInfo);
 			bindingContext.bindValue(observeSelectionBtnWrapObserveWidget, wrapGenerationInfoObserveValue, null, null);
diff --git a/bundles/org.eclipse.emf.ecp.emf2web/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emf2web/META-INF/MANIFEST.MF
index 2f88df9..9623b92 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emf2web/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF To Web
 Bundle-SymbolicName: org.eclipse.emf.ecp.emf2web;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.emf2web.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emf2web;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emf2web.controller.xtend;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.emf2web;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emf2web.controller.xtend;version="1.27.0";
   uses:="org.eclipse.emf.ecore,
    org.eclipse.emf.ecp.emf2web.exporter,
    org.eclipse.emf.common.util,
    org.eclipse.emf.ecp.view.spi.model",
- org.eclipse.emf.ecp.emf2web.exporter;version="1.26.0";uses:="org.eclipse.emf.common.util,org.eclipse.emf.ecp.emf2web.controller.xtend",
- org.eclipse.emf.ecp.emf2web.generator;version="1.26.0";uses:="org.eclipse.emf.ecore",
- org.eclipse.emf.ecp.emf2web.internal.messages;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emf2web.util;version="1.26.0";uses:="org.eclipse.emf.ecore",
- org.eclipse.emf.ecp.emf2web.util.xtend;version="1.26.0"
+ org.eclipse.emf.ecp.emf2web.exporter;version="1.27.0";uses:="org.eclipse.emf.common.util,org.eclipse.emf.ecp.emf2web.controller.xtend",
+ org.eclipse.emf.ecp.emf2web.generator;version="1.27.0";uses:="org.eclipse.emf.ecore",
+ org.eclipse.emf.ecp.emf2web.internal.messages;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emf2web.util;version="1.27.0";uses:="org.eclipse.emf.ecore",
+ org.eclipse.emf.ecp.emf2web.util.xtend;version="1.27.0"
 Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.11.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)",
@@ -25,25 +25,25 @@
  org.eclipse.core.resources;bundle-version="[3.8.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.11.0,3.0.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.10.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.provider.generator;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.provider.generator;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.27.0,1.28.0)",
  com.google.gson;bundle-version="[2.2.0,3.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.emf;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.emf;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.emf2web/pom.xml b/bundles/org.eclipse.emf.ecp.emf2web/pom.xml
index 73356c0..f187663 100644
--- a/bundles/org.eclipse.emf.ecp.emf2web/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emf2web/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.emf2web</artifactId>
   <packaging>eclipse-plugin</packaging>
   <groupId>org.eclipse.emf.ecp</groupId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.core.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.core.rap/META-INF/MANIFEST.MF
index 26e59bf..b9c18f4 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.core.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.core.rap/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP EMFStore Core RAP
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.core.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.emfstore.internal.core.rap.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emfstore.internal.core.rap;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.emfstore.internal.core.rap;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.core.rap;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.core.rap;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.rap.rwt;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.core.rap/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.core.rap/pom.xml
index b6d1c53..8108aae 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.core.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.core.rap/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.core.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.core/META-INF/MANIFEST.MF
index b635758..af5384f2 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.core/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP EMFStore Provider Core Plugin
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.core;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.emfstore.core.internal.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emfstore.core.internal;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.emfstore.core.internal;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.emfstore.ui,
    org.eclipse.emf.ecp.emfstore.ui.search,
    org.eclipse.emf.ecp.view.ui.editor.test,
@@ -13,10 +13,10 @@
    org.eclipse.emf.ecp.emfstore.ui.e4,
    org.eclipse.emf.ecp.emfstore.core.rap"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.client;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)"
-Import-Package: org.eclipse.emfforms.common;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.common;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.emfstore.core
 Service-Component: OSGI-INF/esWorkspaceProviderProvider.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.core/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.core/pom.xml
index ea2bcd0..9a586e5 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.core/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.core/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.core</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/META-INF/MANIFEST.MF
index 2046847..8c8e00b 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP EMFStore E3
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.ui.e3;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.emfstore.internal.ui.e3.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emfstore.internal.ui.decorator;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emfstore.internal.ui.e3;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emfstore.internal.ui.handler;version="1.26.0";x-internal:=true;uses:="org.eclipse.core.commands"
-Require-Bundle: org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.ui;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.emfstore.internal.ui.decorator;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emfstore.internal.ui.e3;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emfstore.internal.ui.handler;version="1.27.0";x-internal:=true;uses:="org.eclipse.core.commands"
+Require-Bundle: org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.client;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.emfstore.client.ui;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/pom.xml
index 997327a..35ac062 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.e3/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.ui.e3</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/META-INF/MANIFEST.MF
index 2217d71..b3b8e37 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Emfstore e4 ui
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.ui.e4;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.e4.emfstore;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.e4.emfstore;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.e4.core.di;bundle-version="[1.3.0,2.0.0)",
  javax.inject;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.e4.ui.workbench;bundle-version="[0.10.0,2.0.0)",
  org.eclipse.emf.emfstore.client.ui;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.swt;bundle-version="[3.100.0,4.0.0)",
  org.eclipse.e4.ui.services;bundle-version="[0.10.0,2.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.client;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.emfstore.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.emfstore.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.emfstore.ui.e4
 Import-Package: org.osgi.framework;version="1.3.0"
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/pom.xml
index 6b982ae..75cba85 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.e4/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.ui.e4</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.search/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.ui.search/META-INF/MANIFEST.MF
index 5caa06c..972cdf8 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.search/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.search/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Search UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.ui.search;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emfstore.ui.search;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.emfstore.ui.search;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.e3;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.e3;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.client;bundle-version="[1.0.0,2.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.emfstore.ui.search
 Import-Package: org.eclipse.core.commands;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui.search/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.ui.search/pom.xml
index 78a21c2..c6b2cd5 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui.search/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui.search/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.ui.search</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.emfstore.ui/META-INF/MANIFEST.MF
index 8bfccdd..b9416db 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP EMFStore UI Provider
 Bundle-SymbolicName: org.eclipse.emf.ecp.emfstore.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.emfstore.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.emfstore.internal.ui;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emfstore.internal.ui.handler;version="1.26.0";x-friends:="org.eclipse.emf.ecp.emfstore.ui.e4,org.eclipse.emf.ecp.emfstore.ui.e3",
- org.eclipse.emf.ecp.emfstore.internal.ui.observer;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.emfstore.internal.ui.property;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.emfstore.internal.ui;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emfstore.internal.ui.handler;version="1.27.0";x-friends:="org.eclipse.emf.ecp.emfstore.ui.e4,org.eclipse.emf.ecp.emfstore.ui.e3",
+ org.eclipse.emf.ecp.emfstore.internal.ui.observer;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.emfstore.internal.ui.property;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.client;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.emf.emfstore.client.ui;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.emfstore.ui/pom.xml b/bundles/org.eclipse.emf.ecp.emfstore.ui/pom.xml
index f655539..c769057 100644
--- a/bundles/org.eclipse.emf.ecp.emfstore.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.emfstore.ui/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.emfstore.ui</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.examplemodel.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.examplemodel.ui/META-INF/MANIFEST.MF
index 1073cfb..bff1a17 100644
--- a/bundles/org.eclipse.emf.ecp.examplemodel.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.examplemodel.ui/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: UI Contributions for the Bowling example model
 Bundle-SymbolicName: org.eclipse.emf.ecp.examplemodel.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Require-Bundle: org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+Require-Bundle: org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.emfstore.examplemodel;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.examplemodel.ui
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.examplemodel.ui/pom.xml b/bundles/org.eclipse.emf.ecp.examplemodel.ui/pom.xml
index 9b53d23..772fe86 100644
--- a/bundles/org.eclipse.emf.ecp.examplemodel.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.examplemodel.ui/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.examplemodel.ui</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.explorereditorbridge/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.explorereditorbridge/META-INF/MANIFEST.MF
index 745b48b..cdac6b5 100644
--- a/bundles/org.eclipse.emf.ecp.explorereditorbridge/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.explorereditorbridge/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Explorer Editor Bridge
 Bundle-SymbolicName: org.eclipse.emf.ecp.explorereditorbridge;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.explorereditorbridge.internal.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.explorereditorbridge.internal;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.test"
+Export-Package: org.eclipse.emf.ecp.explorereditorbridge.internal;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.test"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.editor.e3;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.editor.e3;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
- org.eclipse.emf.ecp.edit.internal.swt;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.internal.swt;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.viewers;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.explorereditorbridge/pom.xml b/bundles/org.eclipse.emf.ecp.explorereditorbridge/pom.xml
index fdbdf5c..b2e1dfb 100644
--- a/bundles/org.eclipse.emf.ecp.explorereditorbridge/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.explorereditorbridge/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.explorereditorbridge</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.graphiti.integration/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.graphiti.integration/META-INF/MANIFEST.MF
index 3c32482..ec77a91 100644
--- a/bundles/org.eclipse.emf.ecp.graphiti.integration/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.graphiti.integration/META-INF/MANIFEST.MF
@@ -16,7 +16,7 @@
  org.eclipse.emf.edit.ui;bundle-version="2.8.0",
  org.eclipse.emf.databinding.edit;bundle-version="1.2.0",
  org.eclipse.emf.ecp.graphiti.core;bundle-version="[1.7.0,1.8.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.graphiti.integration
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/META-INF/MANIFEST.MF
index 20d829f..5b2e5da 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMFForms View Editor to Template Editor Integration
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.editor.view.templatebridge;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ide.editor.view.templatebridge.actions;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.internal.ide.editor.view.templatebridge.actions;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.ui.workbench;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.tooling;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.tooling;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ide.editor.view.templatebridge
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/pom.xml b/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/pom.xml
index e630930..5ddfb82 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.view.templatebridge/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.editor.view.templatebridge</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.view/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.editor.view/META-INF/MANIFEST.MF
index 9fc7645..74f1e98 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.view/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.view/META-INF/MANIFEST.MF
@@ -2,31 +2,31 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: IDE View Editor
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.editor.view;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ide.editor.view.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ide.editor.view;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.model.preview.e3",
- org.eclipse.emf.ecp.ide.editor.view.messages;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ide.editor.view;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.model.preview.e3",
+ org.eclipse.emf.ecp.ide.editor.view.messages;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ui.ide;bundle-version="[3.9.1,4.0.0)",
- org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.jface;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.migrator;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.migrator;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emfforms.ide.view.segments;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.editor;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.ide.view.segments;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.editor;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.e4.core.contexts;version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.editor;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core.di;version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.editor;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core.di;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.ide.editor.view
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.view/pom.xml b/bundles/org.eclipse.emf.ecp.ide.editor.view/pom.xml
index b8d5e96..3db2f62 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.view/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.view/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.editor.view</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/META-INF/MANIFEST.MF
index d3b0d57..0468da5 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Viewmodel
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.editor.viewmodel;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Require-Bundle: org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)"
+Require-Bundle: org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.ide.editor.viewmodel
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/pom.xml b/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/pom.xml
index aef2c85..e36826a 100644
--- a/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.editor.viewmodel/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.editor.viewmodel</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ide.migration/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.migration/META-INF/MANIFEST.MF
index a56ab4c..f45f812 100644
--- a/bundles/org.eclipse.emf.ecp.ide.migration/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.migration/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ViewModel Migration Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.migration;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ide.internal.migration.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ide.internal.migration;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ide.internal.migration;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.validation;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common.validation;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.validation;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common.validation;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ide.migration
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ide.migration/pom.xml b/bundles/org.eclipse.emf.ecp.ide.migration/pom.xml
index 74e17d0..1743230 100644
--- a/bundles/org.eclipse.emf.ecp.ide.migration/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.migration/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.migration</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ide.util/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.util/META-INF/MANIFEST.MF
index 2994eeb..edbb071 100644
--- a/bundles/org.eclipse.emf.ecp.ide.util/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.util/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Ecore Helper Plugin
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.util;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ide.internal.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ide.internal;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ide.spi.util;version="1.26.0",
- org.eclipse.emf.ecp.internal.ide.util.messages;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ide.internal;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ide.spi.util;version="1.27.0",
+ org.eclipse.emf.ecp.internal.ide.util.messages;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ide.util
diff --git a/bundles/org.eclipse.emf.ecp.ide.util/pom.xml b/bundles/org.eclipse.emf.ecp.ide.util/pom.xml
index 0272b5d..bd868ab 100644
--- a/bundles/org.eclipse.emf.ecp.ide.util/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.util/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.util</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ide.view.service/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ide.view.service/META-INF/MANIFEST.MF
index 9b68182..6c1d9e5 100644
--- a/bundles/org.eclipse.emf.ecp.ide.view.service/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ide.view.service/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: IDE ViewModel Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.ide.view.service
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ide.view.service.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ide.view.internal.service;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls",
- org.eclipse.emf.ecp.ide.view.service;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.ide.view.internal.service;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls",
+ org.eclipse.emf.ecp.ide.view.service;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.ide.editor.view,
    org.eclipse.emf.ecp.ui.view.editor.controls,
    org.eclipse.emf.ecp.view.model.editor,
    org.eclipse.emf.ecp.view.model.project.installer"
-Require-Bundle: org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+Require-Bundle: org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/ideviewmdoelregistry.xml
diff --git a/bundles/org.eclipse.emf.ecp.ide.view.service/pom.xml b/bundles/org.eclipse.emf.ecp.ide.view.service/pom.xml
index 6b09116..eba0ba8 100644
--- a/bundles/org.eclipse.emf.ecp.ide.view.service/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ide.view.service/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ide.view.service</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/META-INF/MANIFEST.MF
index cb876b9..6e788bb 100644
--- a/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Quickfix UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.quickfix.ui.e4;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.quickfix.ui.e4.internal;version="1.26.0";x-friends:="org.eclipse.emf.ecp.application.e4"
+Export-Package: org.eclipse.emf.ecp.quickfix.ui.e4.internal;version="1.27.0";x-friends:="org.eclipse.emf.ecp.application.e4"
 Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="[1.1.0,3.0.0)",
  org.eclipse.e4.ui.di;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.e4.ui.services;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.e4.core.di;bundle-version="[1.2.0,2.0.0)",
  org.eclipse.e4.ui.workbench;bundle-version="[1.0.2,2.0.0)",
- org.eclipse.emf.ecp.quickfix;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.quickfix;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.jface;bundle-version="[3.7.0,4.0.0)"
diff --git a/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/pom.xml b/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/pom.xml
index acf2729..ab1fcbe 100644
--- a/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.quickfix.ui.e4/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.quickfix/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.quickfix/META-INF/MANIFEST.MF
index 60659b8..43aca7f 100644
--- a/bundles/org.eclipse.emf.ecp.quickfix/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.quickfix/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Quickfix Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.quickfix;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.quickfix;version="1.26.0",
- org.eclipse.emf.ecp.quickfix.internal;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.quickfix;version="1.27.0",
+ org.eclipse.emf.ecp.quickfix.internal;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.emf.common;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.quickfix/pom.xml b/bundles/org.eclipse.emf.ecp.quickfix/pom.xml
index 1699444..8352777 100644
--- a/bundles/org.eclipse.emf.ecp.quickfix/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.quickfix/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.rap.util/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.rap.util/META-INF/MANIFEST.MF
index 34ab5e2..006c03c 100644
--- a/bundles/org.eclipse.emf.ecp.rap.util/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.rap.util/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: RAP Util
 Bundle-SymbolicName: org.eclipse.emf.ecp.rap.util;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.rap.spi.util;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.rap.spi.util;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.rap.util
 Import-Package: org.eclipse.jface.dialogs;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.rap.util/pom.xml b/bundles/org.eclipse.emf.ecp.rap.util/pom.xml
index 6f131b8..5f9a39b 100644
--- a/bundles/org.eclipse.emf.ecp.rap.util/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.rap.util/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.rap.util</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.rap/META-INF/MANIFEST.MF
index 2a1a2b9..6b006bb 100644
--- a/bundles/org.eclipse.emf.ecp.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.rap/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP RAP
 Bundle-SymbolicName: org.eclipse.emf.ecp.rap;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.rap.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.rap;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.rap;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="3.8.0",
  org.eclipse.rap.ui;bundle-version="2.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.rap/pom.xml b/bundles/org.eclipse.emf.ecp.rap/pom.xml
index bc58125..655255c 100644
--- a/bundles/org.eclipse.emf.ecp.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.rap/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.test.common/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.test.common/META-INF/MANIFEST.MF
index b752549..fddf65f 100644
--- a/bundles/org.eclipse.emf.ecp.test.common/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.test.common/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Common Test Helpers
 Bundle-SymbolicName: org.eclipse.emf.ecp.test.common
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.test.common;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.test.common;version="1.27.0"
 Require-Bundle: org.eclipse.core.databinding.observable;bundle-version="[1.3.0,2.0.0)",
  org.junit;bundle-version="[4.12.0,5.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
diff --git a/bundles/org.eclipse.emf.ecp.test.common/pom.xml b/bundles/org.eclipse.emf.ecp.test.common/pom.xml
index 3ffc61f..e3e3dcd 100644
--- a/bundles/org.eclipse.emf.ecp.test.common/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.test.common/pom.xml
@@ -6,11 +6,11 @@
 	<parent>
 		<groupId>org.eclipse.emf.ecp</groupId>
 		<artifactId>ecp-tests-parent</artifactId>
-		<version>1.26.0-SNAPSHOT</version>
+		<version>1.27.0-SNAPSHOT</version>
 		<relativePath>../../releng/org.eclipse.emf.ecp.releng.tests/</relativePath>
 	</parent>
 
 	<artifactId>org.eclipse.emf.ecp.test.common</artifactId>
 	<packaging>eclipse-plugin</packaging>
-	<version>1.26.0-SNAPSHOT</version>
+	<version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ui.e3/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.e3/META-INF/MANIFEST.MF
index 6a265ca..e21e013 100644
--- a/bundles/org.eclipse.emf.ecp.ui.e3/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.e3/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Eclipse 3.x Integration
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.e3;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ui.platform.Activator
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: OSGI-INF/l10n/bundle
-Export-Package: org.eclipse.emf.ecp.ui.actions;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.commands;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.e3;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.linkedView;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.perspective;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.platform;version="1.26.0";x-friends:="org.eclipse.emf.ecp.emfstore.ui",
- org.eclipse.emf.ecp.ui.tester;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.views;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ui.actions;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.commands;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.e3;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.linkedView;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.perspective;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.platform;version="1.27.0";x-friends:="org.eclipse.emf.ecp.emfstore.ui",
+ org.eclipse.emf.ecp.ui.tester;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.views;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.e3
diff --git a/bundles/org.eclipse.emf.ecp.ui.e3/pom.xml b/bundles/org.eclipse.emf.ecp.ui.e3/pom.xml
index 620505b..87fd5f6 100644
--- a/bundles/org.eclipse.emf.ecp.ui.e3/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.e3/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.e3</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.ui.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.e4/META-INF/MANIFEST.MF
index 0ad8253..d79d18d 100644
--- a/bundles/org.eclipse.emf.ecp.ui.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.e4/META-INF/MANIFEST.MF
@@ -2,34 +2,34 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP E4 UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.e4;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ui.internal.e4.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.e4.editor;version="1.26.0";x-friends:="org.eclipse.emf.ecp.application.e4",
- org.eclipse.emf.ecp.ui.e4.handlers;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.e4.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.application.e4",
- org.eclipse.emf.ecp.ui.e4.view;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.internal.e4;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ui.e4.editor;version="1.27.0";x-friends:="org.eclipse.emf.ecp.application.e4",
+ org.eclipse.emf.ecp.ui.e4.handlers;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.e4.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.application.e4",
+ org.eclipse.emf.ecp.ui.e4.view;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.internal.e4;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.osgi;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.e4.core.contexts;bundle-version="[1.2.0,2.0.0)",
  org.eclipse.e4.ui.workbench;bundle-version="[0.10.0,2.0.0)",
  org.eclipse.e4.ui.model.workbench;bundle-version="[0.10.0,3.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.ui.workbench.swt;bundle-version="[0.10.0,1.0.0)",
  javax.inject;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.e4.core.di;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.ui.di;bundle-version="[0.10.0,2.0.0)",
  org.eclipse.e4.ui.services;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.core.services;bundle-version="[1.0.0,3.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.annotation;version="1.1.0",
  javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.osgi.service.event;version="1.3.0"
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.e4
diff --git a/bundles/org.eclipse.emf.ecp.ui.e4/pom.xml b/bundles/org.eclipse.emf.ecp.ui.e4/pom.xml
index 6bf69fe..b49ed61 100644
--- a/bundles/org.eclipse.emf.ecp.ui.e4/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.e4/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.e4</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.ui.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.rap/META-INF/MANIFEST.MF
index fe4e4ec..1b5b9aa 100644
--- a/bundles/org.eclipse.emf.ecp.ui.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.rap/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP UI RWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ui.util;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.internal.ui.util;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.rap.filedialog;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.rap.rwt;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/org.eclipse.emf.ecp.internal.ui.util.ECPFileDialogHelperImpl.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ui.rap/pom.xml b/bundles/org.eclipse.emf.ecp.ui.rap/pom.xml
index 7f0a974..37983d5 100644
--- a/bundles/org.eclipse.emf.ecp.ui.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.rap/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ui.rcp/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.rcp/META-INF/MANIFEST.MF
index 2ba8c49..cdc2913 100644
--- a/bundles/org.eclipse.emf.ecp.ui.rcp/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.rcp/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.rcp
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ui.util;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.internal.ui.util;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.swt;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/org.eclipse.emf.ecp.internal.ui.util.ECPFileDialogHelperImpl.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ui.rcp/pom.xml b/bundles/org.eclipse.emf.ecp.ui.rcp/pom.xml
index 6def3d4..432ca07 100644
--- a/bundles/org.eclipse.emf.ecp.ui.rcp/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.rcp/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.rcp</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.ui.transaction/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.transaction/META-INF/MANIFEST.MF
index c9168ce..3910d47 100644
--- a/bundles/org.eclipse.emf.ecp.ui.transaction/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.transaction/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Transactional UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.transaction;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.transaction;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ui.transaction;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.emf.transaction;bundle-version="1.4.0",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.emfstore.core;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.transaction
 Import-Package: org.eclipse.core.commands;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.ui.transaction/pom.xml b/bundles/org.eclipse.emf.ecp.ui.transaction/pom.xml
index 2728e37..a33d3b0 100644
--- a/bundles/org.eclipse.emf.ecp.ui.transaction/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.transaction/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.transaction</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ui.validation.e4/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.validation.e4/META-INF/MANIFEST.MF
index 283f629..74908a6 100644
--- a/bundles/org.eclipse.emf.ecp.ui.validation.e4/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.validation.e4/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP UI Validation E4
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.validation.e4;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.validation.e4.handler;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.validation.e4.view;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ui.validation.e4.handler;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.validation.e4.view;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.e4.ui.workbench.swt;bundle-version="[0.10.0,1.0.0)",
  org.eclipse.e4.ui.workbench;bundle-version="[0.10.0,2.0.0)",
- org.eclipse.emf.ecp.ui.validation;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.validation;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.ui.di;bundle-version="[0.10.0,2.0.0)",
  org.eclipse.jface;bundle-version="[3.9.1,4.0.0)",
- org.eclipse.emf.ecp.validation.diagnostician;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.validation.diagnostician;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)",
  org.eclipse.e4.ui.services;bundle-version="[0.1.0,2.0.0)",
  org.eclipse.e4.ui.model.workbench;bundle-version="[1.0.1,3.0.0)",
diff --git a/bundles/org.eclipse.emf.ecp.ui.validation.e4/pom.xml b/bundles/org.eclipse.emf.ecp.ui.validation.e4/pom.xml
index f47cb28..830ec11 100644
--- a/bundles/org.eclipse.emf.ecp.ui.validation.e4/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.validation.e4/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.validation.e4</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ui.validation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.validation/META-INF/MANIFEST.MF
index 3677742..666a70c 100644
--- a/bundles/org.eclipse.emf.ecp.ui.validation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.validation/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Validation View
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.validation;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.ui.validation.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ui.validation;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4,org.eclipse.emf.ecp.ide.migration",
- org.eclipse.emf.ecp.ui.validation;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4"
+Export-Package: org.eclipse.emf.ecp.internal.ui.validation;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4,org.eclipse.emf.ecp.ide.migration",
+ org.eclipse.emf.ecp.ui.validation;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.validation.e4"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.e4.core.di.annotations;version="[1.3.0,2.0.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.ui.validation/pom.xml b/bundles/org.eclipse.emf.ecp.ui.validation/pom.xml
index 54adf6a..cd5edc0 100644
--- a/bundles/org.eclipse.emf.ecp.ui.validation/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.validation/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui.validation</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/META-INF/MANIFEST.MF
index 8728cdc..bd3e6e9 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Legacy View Model Editor Controls
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view.editor.controls.legacy;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.ui.view.internal.editor.controls.legacy.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.view.internal.editor.controls.legacy;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.view.internal.editor.controls.legacy.handler;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.ui.view.internal.editor.controls.legacy;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.view.internal.editor.controls.legacy.handler;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.commands;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ui.workbench;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.workspace.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.workspace.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.view.editor.controls.legacy
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/pom.xml
index 035ea42..da2a0da 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls.legacy/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/META-INF/MANIFEST.MF
index 6b7b68f..a9512bc 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/META-INF/MANIFEST.MF
@@ -2,56 +2,57 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Controls
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view.editor.controls;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.editor.controls.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.editor.controls;version="1.26.0";x-friends:="org.eclipse.emfforms.ide.view.multisegment,org.eclipse.emfforms.ide.view.mappingsegment,org.eclipse.emf.ecp.view.template.tooling",
- org.eclipse.emf.ecp.view.internal.editor.handler;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.view.internal.editor.controls;version="1.27.0";x-friends:="org.eclipse.emfforms.ide.view.multisegment,org.eclipse.emfforms.ide.view.mappingsegment,org.eclipse.emf.ecp.view.template.tooling",
+ org.eclipse.emf.ecp.view.internal.editor.handler;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.view.model.project.installer,
    org.eclipse.emf.ecp.view.model.editor,
    org.eclipse.emf.ecp.view.treemasterdetail.ui.swt,
    org.eclipse.emfforms.ide.view.multisegment,
    org.eclipse.emf.ecp.view.template.tooling",
- org.eclipse.emf.ecp.view.spi.editor.controls;version="1.26.0"
+ org.eclipse.emf.ecp.view.spi.editor.controls;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui;bundle-version="2.8.0",
- org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.control.multiattribute;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common.validation;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.bazaar;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.annotation.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.rule;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.ide.view.segments;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.control.multireference;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.control.multiattribute;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common.validation;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.bazaar;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.annotation.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.rule;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.ide.view.segments;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.control.multireference;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.resources;version="0.0.0",
- org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/pom.xml
index 646457f..67509c3 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ControlRootEClassControl2SWTRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ControlRootEClassControl2SWTRenderer.java
index 1f488b3..0d5ff80 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ControlRootEClassControl2SWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ControlRootEClassControl2SWTRenderer.java
@@ -36,7 +36,7 @@
 import org.eclipse.emfforms.spi.core.services.databinding.DatabindingFailedReport;
 import org.eclipse.emfforms.spi.core.services.databinding.EMFFormsDatabinding;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/DomainModelReferenceControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/DomainModelReferenceControlSWTRenderer.java
index 110f85d..ce90272 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/DomainModelReferenceControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/DomainModelReferenceControlSWTRenderer.java
@@ -74,7 +74,7 @@
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
 import org.eclipse.jface.action.Action;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.jface.viewers.TreeViewer;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EReferenceLabelControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EReferenceLabelControlSWTRenderer.java
index beabf38..990a52f 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EReferenceLabelControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EReferenceLabelControlSWTRenderer.java
@@ -33,7 +33,7 @@
 import org.eclipse.emfforms.spi.core.services.databinding.DatabindingFailedReport;
 import org.eclipse.emfforms.spi.core.services.databinding.EMFFormsDatabinding;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EditableEReferenceLabelControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EditableEReferenceLabelControlSWTRenderer.java
index a65ef96..8929510 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EditableEReferenceLabelControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/EditableEReferenceLabelControlSWTRenderer.java
@@ -27,7 +27,7 @@
 import org.eclipse.emfforms.spi.core.services.databinding.DatabindingFailedException;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.emfforms.spi.core.services.label.NoLabelFoundException;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridLayoutFactory;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ExpectedValueControlRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ExpectedValueControlRenderer.java
index 7a87b6e..f6dd831 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ExpectedValueControlRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/ExpectedValueControlRenderer.java
@@ -138,7 +138,7 @@
 		final TargetToModelUpdateStrategy targetToModelUpdateStrategy = new TargetToModelUpdateStrategy();
 		final ModelToTargetUpdateStrategy modelToTargetUpdateStrategy = new ModelToTargetUpdateStrategy();
 
-		final IObservableValue value = org.eclipse.jface.databinding.swt.WidgetProperties.text().observe(text);
+		final IObservableValue value = org.eclipse.jface.databinding.swt.typed.WidgetProperties.text().observe(text);
 
 		final Binding binding = getDataBindingContext().bindValue(value, getModelValue(),
 			withPreSetValidation(targetToModelUpdateStrategy), modelToTargetUpdateStrategy);
@@ -157,7 +157,8 @@
 	 */
 	protected Binding createTooltipBinding(Control text, IObservableValue modelValue,
 		DataBindingContext dataBindingContext, UpdateValueStrategy targetToModel, UpdateValueStrategy modelToTarget) {
-		final IObservableValue toolTip = org.eclipse.jface.databinding.swt.WidgetProperties.tooltipText().observe(text);
+		final IObservableValue toolTip = org.eclipse.jface.databinding.swt.typed.WidgetProperties.tooltipText()
+			.observe(text);
 		return dataBindingContext.bindValue(toolTip, modelValue, targetToModel, modelToTarget);
 	}
 
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableColumnsDMRTableControl.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableColumnsDMRTableControl.java
index bf3363c..dce6498 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableColumnsDMRTableControl.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableColumnsDMRTableControl.java
@@ -75,7 +75,7 @@
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.ObservableListContentProvider;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableDetailViewControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableDetailViewControlSWTRenderer.java
index 7f716ea..c31141f 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableDetailViewControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.ui.view.editor.controls/src/org/eclipse/emf/ecp/view/internal/editor/controls/TableDetailViewControlSWTRenderer.java
@@ -49,7 +49,7 @@
 import org.eclipse.emfforms.spi.core.services.editsupport.EMFFormsEditSupport;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.jface.action.Action;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/META-INF/MANIFEST.MF
index ba5ccc8..a801547 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP String Modifier with Line Wrapping
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view.linewrapper;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ui.view.linewrapper;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.internal.ui.view.linewrapper;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.view.linewrapper
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/pom.xml
index 2d5619b..b134e76 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view.linewrapper/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.swt.di/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view.swt.di/META-INF/MANIFEST.MF
index b4de58e..6bee570 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.swt.di/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view.swt.di/META-INF/MANIFEST.MF
@@ -2,30 +2,30 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Dependency Injection SWT Renderer
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view.swt.di;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.view.swt.di.renderer;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.ui.view.swt.di.util;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.model.common.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.ui.view.swt.di.renderer;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.ui.view.swt.di.util;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.model.common.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.4.1,2.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding;bundle-version="[1.4.1,2.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.core.contexts;bundle-version="[1.3.100,2.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.view.swt.di
-Import-Package: org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.locale;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.locale;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.swt.graphics;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0",
  org.osgi.framework;version="1.8.0"
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.swt.di/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view.swt.di/pom.xml
index cfad139..a4eb8bd 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.swt.di/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view.swt.di/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view.swt/META-INF/MANIFEST.MF
index b5c4675..71d6739 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view.swt/META-INF/MANIFEST.MF
@@ -2,41 +2,41 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.swt.Activator
 Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.emf.ecp.ui.view.swt;version="1.26.0",
- org.eclipse.emf.ecp.ui.view.swt.reference;version="1.26.0",
- org.eclipse.emf.ecp.view.internal.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt.test,org.eclipse.emf.ecp.view.context.test",
- org.eclipse.emf.ecp.view.spi.swt;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.swt.layout;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.swt.masterdetail;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.swt.reporting;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.swt.selection;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.swt.services;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.ui.view.swt;version="1.27.0",
+ org.eclipse.emf.ecp.ui.view.swt.reference;version="1.27.0",
+ org.eclipse.emf.ecp.view.internal.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt.test,org.eclipse.emf.ecp.view.context.test",
+ org.eclipse.emf.ecp.view.spi.swt;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.swt.layout;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.swt.masterdetail;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.swt.reporting;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.swt.selection;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.swt.services;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emfforms.core.bazaar;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emfforms.core.bazaar;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.commands;version="0.0.0",
- org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.spi.view.template.service;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.spi.label.model;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.style.fontProperties.model;version="[1.26.0,1.26.1)",
- org.eclipse.emf.emfforms.spi.view.annotation.model;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.view;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.localization;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.spi.view.template.service;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.spi.label.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.style.fontProperties.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.emfforms.spi.view.annotation.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.view;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.localization;version="[1.27.0,1.28.0)",
  org.eclipse.jface;version="0.0.0",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.ui.view.swt/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view.swt/pom.xml
index 4df602e..e99e829 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.ui.view/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui.view/META-INF/MANIFEST.MF
index b7315d8..92953a4 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui.view/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: MPI UI View
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui.view;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.ui.view;version="1.26.0",
- org.eclipse.emf.ecp.view.internal.provider;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.context.test",
- org.eclipse.emf.ecp.view.internal.ui;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt",
- org.eclipse.emf.ecp.view.spi.provider;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.provider.reporting;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.renderer;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.ui.view;version="1.27.0",
+ org.eclipse.emf.ecp.view.internal.provider;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.context.test",
+ org.eclipse.emf.ecp.view.internal.ui;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt",
+ org.eclipse.emf.ecp.view.spi.provider;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.provider.reporting;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.renderer;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)"
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="[1.2.0,2.0.0)";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.ui.view
 Service-Component: OSGI-INF/EMFFormsViewService.xml
diff --git a/bundles/org.eclipse.emf.ecp.ui.view/pom.xml b/bundles/org.eclipse.emf.ecp.ui.view/pom.xml
index 7685653..eb938d4 100644
--- a/bundles/org.eclipse.emf.ecp.ui.view/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui.view/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.ui/META-INF/MANIFEST.MF
index cdbf8e4..6375fc5 100644
--- a/bundles/org.eclipse.emf.ecp.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.ui/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.ui;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.internal.ui;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.explorereditorbridge,
    org.eclipse.emf.ecp.edit.ecore.swt,
    org.eclipse.emf.ecp.emfstore.ui,
    org.eclipse.emf.ecp.ui.rcp",
- org.eclipse.emf.ecp.internal.ui.composites;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.internal.ui.dialogs;version="1.26.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
- org.eclipse.emf.ecp.internal.ui.model;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.e4,org.eclipse.emf.ecp.ui.e3,org.eclipse.emf.ecp.ui.transaction",
- org.eclipse.emf.ecp.internal.ui.tester;version="1.26.0",
- org.eclipse.emf.ecp.internal.ui.util;version="1.26.0";
+ org.eclipse.emf.ecp.internal.ui.composites;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.internal.ui.dialogs;version="1.27.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
+ org.eclipse.emf.ecp.internal.ui.model;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.e4,org.eclipse.emf.ecp.ui.e3,org.eclipse.emf.ecp.ui.transaction",
+ org.eclipse.emf.ecp.internal.ui.tester;version="1.27.0",
+ org.eclipse.emf.ecp.internal.ui.util;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.explorereditorbridge,
    org.eclipse.emf.ecp.ui.e3,
    org.eclipse.emf.ecp.ui.e4,
@@ -22,17 +22,17 @@
    org.eclipse.emf.ecp.validationvieweditorbridge,
    org.eclipse.emf.ecp.emfstore.ui,
    org.eclipse.emf.ecp.ui.rcp",
- org.eclipse.emf.ecp.internal.wizards;version="1.26.0";
+ org.eclipse.emf.ecp.internal.wizards;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.edit.ecore.swt,
    org.eclipse.emf.ecp.explorereditorbridge,
    org.eclipse.emf.ecp.workspace.ui,
    org.eclipse.emf.ecp.view.table.editor,
    org.eclipse.emf.ecp.emfstore.ui",
- org.eclipse.emf.ecp.internal.wizards.page;version="1.26.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
- org.eclipse.emf.ecp.spi.ui;version="1.26.0",
- org.eclipse.emf.ecp.spi.ui.util;version="1.26.0",
- org.eclipse.emf.ecp.ui;version="1.26.0",
- org.eclipse.emf.ecp.ui.common;version="1.26.0";
+ org.eclipse.emf.ecp.internal.wizards.page;version="1.27.0";x-friends:="org.eclipse.emf.ecp.explorereditorbridge",
+ org.eclipse.emf.ecp.spi.ui;version="1.27.0",
+ org.eclipse.emf.ecp.spi.ui.util;version="1.27.0",
+ org.eclipse.emf.ecp.ui;version="1.27.0",
+ org.eclipse.emf.ecp.ui.common;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.edit.ecore.swt,
    org.eclipse.emf.ecp.explorereditorbridge,
    org.eclipse.emf.ecp.ui.e3,
@@ -40,15 +40,15 @@
    org.eclipse.emf.ecp.view.ui.editor.test,
    org.eclipse.emf.ecp.workspace.ui,
    org.eclipse.emf.ecp.ui.e4",
- org.eclipse.emf.ecp.ui.common.dnd;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls",
- org.eclipse.emf.ecp.ui.util;version="1.26.0"
+ org.eclipse.emf.ecp.ui.common.dnd;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls",
+ org.eclipse.emf.ecp.ui.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.ui/pom.xml b/bundles/org.eclipse.emf.ecp.ui/pom.xml
index 9a75d65..8e1b93a 100644
--- a/bundles/org.eclipse.emf.ecp.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.ui/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.ui</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.validation.connector/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.validation.connector/META-INF/MANIFEST.MF
index ebbeee7..4268ef5 100644
--- a/bundles/org.eclipse.emf.ecp.validation.connector/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.validation.connector/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Validation Connector Plugin
 Bundle-SymbolicName: org.eclipse.emf.ecp.validation.connector;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.validation.connector.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.validation.connector;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.validation.connector;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.validation;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.validation;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.validation.connector/pom.xml b/bundles/org.eclipse.emf.ecp.validation.connector/pom.xml
index 8a90698..adec91d 100644
--- a/bundles/org.eclipse.emf.ecp.validation.connector/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.validation.connector/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.validation.connector</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.validation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.validation/META-INF/MANIFEST.MF
index 19f40f0..98ae606 100644
--- a/bundles/org.eclipse.emf.ecp.validation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.validation/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Validation Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.validation;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.validation;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.validation.api;version="1.26.0";x-friends:="org.eclipse.emf.ecp.validation.connector"
+Export-Package: org.eclipse.emf.ecp.internal.validation;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.validation.api;version="1.27.0";x-friends:="org.eclipse.emf.ecp.validation.connector"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="2.8.0",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.validation
 Service-Component: OSGI-INF/validationService.xml
diff --git a/bundles/org.eclipse.emf.ecp.validation/pom.xml b/bundles/org.eclipse.emf.ecp.validation/pom.xml
index 8e1d773..67883c8 100644
--- a/bundles/org.eclipse.emf.ecp.validation/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.validation/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.validation</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/META-INF/MANIFEST.MF
index 1a7fbe1..190d40f 100644
--- a/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Validation View to Editor Bridge
 Bundle-SymbolicName: org.eclipse.emf.ecp.validationvieweditorbridge;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.validationvieweditorbridge;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.validation;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.internal.validationvieweditorbridge;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.validation;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.validationvieweditorbridge
 Import-Package: org.eclipse.jface.viewers;version="0.0.0"
diff --git a/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/pom.xml b/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/pom.xml
index 9d604aa..f6fea7a 100644
--- a/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.validationvieweditorbridge/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.validationvieweditorbridge</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/META-INF/MANIFEST.MF
index ecd2881..3e0dfee 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.categorization.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.categorization.model.provider.CategorizationEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.categorization.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.categorization.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.6.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.categorization.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/pom.xml
index 9a1be09..646a42e 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

@@ -15,5 +15,5 @@
   <packaging>eclipse-plugin</packaging>

 

   <groupId>org.eclipse.emf.ecp</groupId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.categorization.model/META-INF/MANIFEST.MF
index 7b2b402..d8cd887 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.categorization.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.categorization.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.categorization.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.categorization.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.categorization.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.categorization.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.categorization.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.categorization.model
diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.categorization.model/pom.xml
index 72d8583..ebd3787 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

@@ -15,5 +15,5 @@
   <packaging>eclipse-plugin</packaging>

 

   <groupId>org.eclipse.emf.ecp</groupId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.categorization.swt/META-INF/MANIFEST.MF
index 17511a4..d0eae40 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.swt/META-INF/MANIFEST.MF
@@ -2,32 +2,33 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Categorization SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.categorization.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.categorization.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.categorization.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.categorization.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.categorization.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.categorization.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.categorization.model.edit;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.categorization.model.edit;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.databinding.property.value;version="0.0.0",
- org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.bazaar;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.bazaar;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.jface.viewers;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.categorization.swt/pom.xml
index 00b2e85..408e5d5 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

@@ -15,5 +15,5 @@
   <packaging>eclipse-plugin</packaging>

 

   <groupId>org.eclipse.emf.ecp</groupId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/AbstractSWTTabRenderer.java b/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/AbstractSWTTabRenderer.java
index b765c6a..dc45bb0 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/AbstractSWTTabRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/AbstractSWTTabRenderer.java
@@ -48,7 +48,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/SWTCategorizationRenderer.java b/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/SWTCategorizationRenderer.java
index 8f62918..c0e69b0 100644
--- a/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/SWTCategorizationRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.categorization.swt/src/org/eclipse/emf/ecp/view/spi/categorization/swt/SWTCategorizationRenderer.java
@@ -35,7 +35,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/META-INF/MANIFEST.MF
index 311c3a7..1cafc6d 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.compoundcontrol.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.compoundcontrol.model.provider.HorizontalEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.compoundcontrol.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.compoundcontrol.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.compoundcontrol.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.compoundcontrol.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.6.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.compoundcontrol.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/pom.xml
index b2d3619..f90995e 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/META-INF/MANIFEST.MF
index 5bcc84c..76c2f70 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.compoundcontrol.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.compoundcontrol.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.compoundcontrol.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.compoundcontrol.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.compoundcontrol.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.compoundcontrol.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.compoundcontrol.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.compoundcontrol.model
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/pom.xml
index 5b7b22c..8e75e89 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/META-INF/MANIFEST.MF
index 23be955..d644aab 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/META-INF/MANIFEST.MF
@@ -2,26 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Compound Control SWT Renderer
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.compoundcontrol.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.compoundcontrol.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.compoundcontrol.swt;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.compoundcontrol.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.compoundcontrol.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.compoundcontrol.swt;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.compoundcontrol.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.emf;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.emf;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/CompoundControlDIRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.graphics;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/pom.xml
index 6f81ec7..9fabbc4 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/src/org/eclipse/emf/ecp/view/spi/compoundcontrol/swt/CompoundControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/src/org/eclipse/emf/ecp/view/spi/compoundcontrol/swt/CompoundControlSWTRenderer.java
index 5f0ebdc..86aa50e 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/src/org/eclipse/emf/ecp/view/spi/compoundcontrol/swt/CompoundControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.swt/src/org/eclipse/emf/ecp/view/spi/compoundcontrol/swt/CompoundControlSWTRenderer.java
@@ -60,7 +60,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/META-INF/MANIFEST.MF
index 614a8a1..1099ccc 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/META-INF/MANIFEST.MF
@@ -2,6 +2,6 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Compound Control Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.compoundcontrol.tooling;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/pom.xml b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/pom.xml
index 3bae3a9..cfd4ac2 100644
--- a/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.compoundcontrol.tooling/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.context.locale/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.context.locale/META-INF/MANIFEST.MF
index aac220c..ed41c80 100644
--- a/bundles/org.eclipse.emf.ecp.view.context.locale/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.context.locale/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms Locale View Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.context.locale;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.context.internal.locale;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.view.context.internal.locale;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.context.locale
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.context.locale/pom.xml b/bundles/org.eclipse.emf.ecp.view.context.locale/pom.xml
index 383de03..0fc1b0a 100644
--- a/bundles/org.eclipse.emf.ecp.view.context.locale/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.context.locale/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.context.locale</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.context/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.context/META-INF/MANIFEST.MF
index bd196cb..89925be 100644
--- a/bundles/org.eclipse.emf.ecp.view.context/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.context/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Context
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.context;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.context;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.context;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.context;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.context;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.core.databinding.observable;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/viewModelContextCF.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.e4.core.contexts;version="[1.3.0,2.0.0)";resolution:=optional,
- org.eclipse.emfforms.common;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="[1.2.0,2.0.0)";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.view.context
diff --git a/bundles/org.eclipse.emf.ecp.view.context/pom.xml b/bundles/org.eclipse.emf.ecp.view.context/pom.xml
index ce6296b..dc7931d 100644
--- a/bundles/org.eclipse.emf.ecp.view.context/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.context/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.context/src/org/eclipse/emf/ecp/view/internal/context/ViewModelContextImpl.java b/bundles/org.eclipse.emf.ecp.view.context/src/org/eclipse/emf/ecp/view/internal/context/ViewModelContextImpl.java
index 122a4b5..0d5047f 100644
--- a/bundles/org.eclipse.emf.ecp.view.context/src/org/eclipse/emf/ecp/view/internal/context/ViewModelContextImpl.java
+++ b/bundles/org.eclipse.emf.ecp.view.context/src/org/eclipse/emf/ecp/view/internal/context/ViewModelContextImpl.java
@@ -551,6 +551,8 @@
 		for (final ViewModelContextDisposeListener listener : disposeListeners) {
 			listener.contextDisposed(this);
 		}
+		disposeListeners.clear();
+		
 		innerDispose();
 		viewModelContentAdapter.dispose();
 		if (domainModelContentAdapter != null) {
diff --git a/bundles/org.eclipse.emf.ecp.view.control.multireference/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.control.multireference/META-INF/MANIFEST.MF
index 6dd88bb..3e8002f 100644
--- a/bundles/org.eclipse.emf.ecp.view.control.multireference/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.control.multireference/META-INF/MANIFEST.MF
@@ -2,34 +2,35 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Multireference
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.control.multireference;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.control.multireference;version="1.26.0";x-friends:="org.eclipse.emfforms.ide.view.multisegment,org.eclipse.emf.ecp.ui.view.editor.controls"
+Export-Package: org.eclipse.emf.ecp.view.internal.control.multireference;version="1.27.0";x-friends:="org.eclipse.emfforms.ide.view.multisegment,org.eclipse.emf.ecp.ui.view.editor.controls"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.core.databinding;bundle-version="[1.4.1,2.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.annotation.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.annotation.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/multiReferenceRendererService.xml,OSGI-INF/LinkOnlyMultiReferenceRendererService.xml,OSGI-INF/multiReferenceRevealProvider.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.bazaar;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.internal.core.services.label;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.bazaar;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.internal.core.services.label;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.viewers;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.control.multireference/pom.xml b/bundles/org.eclipse.emf.ecp.view.control.multireference/pom.xml
index ebdfe8a..75f9139 100644
--- a/bundles/org.eclipse.emf.ecp.view.control.multireference/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.control.multireference/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
@@ -15,5 +15,5 @@
   <packaging>eclipse-plugin</packaging>
 
   <groupId>org.eclipse.emf.ecp</groupId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.control.multireference/src/org/eclipse/emf/ecp/view/internal/control/multireference/MultiReferenceSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.control.multireference/src/org/eclipse/emf/ecp/view/internal/control/multireference/MultiReferenceSWTRenderer.java
index da538b4..e3cfaa6 100644
--- a/bundles/org.eclipse.emf.ecp.view.control.multireference/src/org/eclipse/emf/ecp/view/internal/control/multireference/MultiReferenceSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.control.multireference/src/org/eclipse/emf/ecp/view/internal/control/multireference/MultiReferenceSWTRenderer.java
@@ -79,7 +79,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
 import org.eclipse.emfforms.spi.swt.core.ui.ObjectViewerComparator;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.ObservableListContentProvider;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.core.swt/META-INF/MANIFEST.MF
index b2150c3..b33fac9 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/META-INF/MANIFEST.MF
@@ -2,37 +2,39 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Core SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.core.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.core.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.core.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt",
- org.eclipse.emf.ecp.view.internal.core.swt.renderer;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.view.context.test",
- org.eclipse.emf.ecp.view.spi.core.swt;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.view.internal.core.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt",
+ org.eclipse.emf.ecp.view.internal.core.swt.renderer;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls,org.eclipse.emf.ecp.view.context.test",
+ org.eclipse.emf.ecp.view.spi.core.swt;version="1.27.0";
   uses:="org.eclipse.emf.ecp.ui.view.swt.internal,
    org.eclipse.emf.ecp.view.spi.model,
    org.eclipse.swt.widgets,
    org.eclipse.emf.ecp.view.spi.context,
    org.eclipse.emf.ecp.edit.spi.swt.util",
- org.eclipse.emf.ecp.view.spi.core.swt.renderer;version="1.26.0"
+ org.eclipse.emf.ecp.view.spi.core.swt.renderer;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.200,2.0.0)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.locale;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.locale;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
+ org.eclipse.jface.databinding.viewers.typed;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.core.swt/pom.xml
index 2cb7765..fca9f6b 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

@@ -15,5 +15,5 @@
   <packaging>eclipse-plugin</packaging>

 

   <groupId>org.eclipse.emf.ecp</groupId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/BooleanControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/BooleanControlSWTRenderer.java
index 434b7ee..8cf1c5e 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/BooleanControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/BooleanControlSWTRenderer.java
@@ -28,7 +28,7 @@
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.widgets.Button;
@@ -75,7 +75,8 @@
 
 	@Override
 	protected Binding[] createBindings(Control control) throws DatabindingFailedException {
-		final Binding binding = getDataBindingContext().bindValue(WidgetProperties.selection().observe(control),
+		final Binding binding = getDataBindingContext().bindValue(
+			WidgetProperties.buttonSelection().observe((Button) control),
 			getModelValue(), withPreSetValidation(new UpdateValueStrategy()), null);
 		return new Binding[] { binding };
 	}
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/DateTimeControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/DateTimeControlSWTRenderer.java
index 3670630..1f45cab 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/DateTimeControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/DateTimeControlSWTRenderer.java
@@ -52,7 +52,7 @@
 import org.eclipse.emfforms.spi.localization.EMFFormsLocalizationService;
 import org.eclipse.emfforms.spi.swt.core.SWTDataElementIdHelper;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
@@ -152,8 +152,8 @@
 
 	@Override
 	protected Binding[] createBindings(Control control) throws DatabindingFailedException {
-		final ISWTObservableValue dateObserver = WidgetProperties.selection().observe(dateWidget);
-		final ISWTObservableValue timeObserver = WidgetProperties.selection().observe(timeWidget);
+		final ISWTObservableValue dateObserver = WidgetProperties.dateTimeSelection().observe(dateWidget);
+		final ISWTObservableValue timeObserver = WidgetProperties.dateTimeSelection().observe(timeWidget);
 		final IObservableValue target = new DateAndTimeObservableValue(dateObserver, timeObserver);
 		final Binding binding = getDataBindingContext().bindValue(target, getModelValue(),
 			withPreSetValidation(new UpdateValueStrategy()),
@@ -431,7 +431,7 @@
 			dialog = new Shell(btn.getShell(), SWT.NONE);
 			dialog.setLayout(new GridLayout(1, false));
 			final DateTime calendar = new DateTime(dialog, SWT.CALENDAR | SWT.BORDER);
-			final IObservableValue calendarObserver = WidgetProperties.selection().observe(calendar);
+			final IObservableValue calendarObserver = WidgetProperties.dateTimeSelection().observe(calendar);
 			final UpdateValueStrategy modelToTarget = new UpdateValueStrategy(UpdateValueStrategy.POLICY_UPDATE);
 
 			final Binding binding = getDataBindingContext().bindValue(calendarObserver, modelValue, modelToTarget,
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/EnumComboViewerSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/EnumComboViewerSWTRenderer.java
index 44ea86b..5effbc0 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/EnumComboViewerSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/EnumComboViewerSWTRenderer.java
@@ -54,9 +54,9 @@
 import org.eclipse.emfforms.spi.core.services.editsupport.EMFFormsEditSupport;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
-import org.eclipse.jface.databinding.viewers.ViewerProperties;
-import org.eclipse.jface.databinding.viewers.ViewersObservables;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
+import org.eclipse.jface.databinding.viewers.IViewerValueProperty;
+import org.eclipse.jface.databinding.viewers.typed.ViewerProperties;
 import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.LabelProvider;
@@ -100,14 +100,15 @@
 	protected Binding[] createBindings(Viewer viewer) throws DatabindingFailedException {
 		// This binding needs to fire before the value binding so that the value
 		// to be selected exists in the combo's items
-		final IObservableValue<?> viewerInput = ViewerProperties.input().observe(viewer);
+		final IViewerValueProperty<ComboViewer, Object> viewerValueProperty = ViewerProperties.input();
+		final IObservableValue<?> viewerInput = viewerValueProperty.observe(viewer);
 		final Binding inputBinding = getDataBindingContext().bindValue(
 			viewerInput,
 			getAvailableChoicesValue());
 
 		final IObservableValue<?> modelValue = getModelValue();
 
-		final Binding binding = getDataBindingContext().bindValue(ViewersObservables.observeSingleSelection(viewer),
+		final Binding binding = getDataBindingContext().bindValue(ViewerProperties.singleSelection().observe(viewer),
 			modelValue);
 
 		pushValue = ISideEffect.create(viewerInput::getValue, input -> {
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/LinkControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/LinkControlSWTRenderer.java
index b672e98..efb4d59 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/LinkControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/LinkControlSWTRenderer.java
@@ -1,5 +1,5 @@
 /*******************************************************************************
- * Copyright (c) 2011-2019 EclipseSource Muenchen GmbH and others.
+ * Copyright (c) 2011-2021 EclipseSource Muenchen GmbH and others.
  *
  * All rights reserved. This program and the accompanying materials
  * are made available under the terms of the Eclipse Public License 2.0
@@ -51,7 +51,7 @@
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
 import org.eclipse.emfforms.spi.core.services.label.NoLabelFoundException;
 import org.eclipse.emfforms.spi.localization.EMFFormsLocalizationService;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
@@ -574,6 +574,10 @@
 			if (stackLayout.topControl != linkComposite) {
 				stackLayout.topControl = linkComposite;
 				mainComposite.layout();
+				// At least on Windows, the hyperlink size needs to be recalculated asynchronously after its value has
+				// updated. Otherwise, the hyperlink has a size of 0 when the control is initially rendered without a
+				// value.
+				Display.getDefault().asyncExec(() -> linkComposite.layout());
 			}
 
 			modelElementChangeListener = new ECPModelElementChangeListener(value) {
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/XMLDateControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/XMLDateControlSWTRenderer.java
index 5bea36d..80bb31b 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/XMLDateControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/internal/core/swt/renderer/XMLDateControlSWTRenderer.java
@@ -55,7 +55,7 @@
 import org.eclipse.emfforms.spi.localization.EMFFormsLocalizationService;
 import org.eclipse.emfforms.spi.localization.LocalizationServiceHelper;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.dialogs.IDialogLabelKeys;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.layout.GridDataFactory;
@@ -155,7 +155,7 @@
 			}
 			calendar.setDate(cal.get(Calendar.YEAR), cal.get(Calendar.MONTH), cal.get(Calendar.DAY_OF_MONTH));
 
-			final IObservableValue dateObserver = WidgetProperties.selection().observe(calendar);
+			final IObservableValue dateObserver = WidgetProperties.dateTimeSelection().observe(calendar);
 			final Binding binding = getDataBindingContext().bindValue(dateObserver, modelValue,
 				new DateTargetToModelUpdateStrategy(eStructuralFeature, text),
 				new DateModelToTargetUpdateStrategy(false, true));
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/AbstractControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/AbstractControlSWTRenderer.java
index 536f409..a15c165 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/AbstractControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/AbstractControlSWTRenderer.java
@@ -54,7 +54,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.ui.SWTValidationHelper;
 import org.eclipse.emfforms.spi.swt.core.ui.SWTValidationUiService;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.graphics.Image;
diff --git a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/renderer/TextControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/renderer/TextControlSWTRenderer.java
index 8bbb8d5..6ddbd40 100644
--- a/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/renderer/TextControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.core.swt/src/org/eclipse/emf/ecp/view/spi/core/swt/renderer/TextControlSWTRenderer.java
@@ -61,7 +61,7 @@
 import org.eclipse.emfforms.spi.swt.core.SWTDataElementIdHelper;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.swt.core.EMFFormsSWTConstants;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.custom.model.edit/META-INF/MANIFEST.MF
index c3532aa..8879f9f 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.custom.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.custom.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.custom.model.provider.CustomEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.custom.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.custom.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.custom.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.custom.model.edit/pom.xml
index 5e5e7c4..942d094 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.custom.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.custom.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.custom.model/META-INF/MANIFEST.MF
index d931c6e..ec4615c 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.custom.model/META-INF/MANIFEST.MF
@@ -2,31 +2,31 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.custom.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.custom.model.impl.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.custom.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.custom.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.custom.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.custom.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.custom.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.custom.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)"
 Import-Package: org.eclipse.core.databinding.property.list;version="0.0.0",
  org.eclipse.core.databinding.property.value;version="0.0.0",
  org.eclipse.emf.databinding;version="0.0.0",
- org.eclipse.emf.ecp.common.spi;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.spi.asserts;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.domainexpander;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.mappingprovider;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.structuralchange;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common.spi;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.spi.asserts;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.domainexpander;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.mappingprovider;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.structuralchange;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="[1.2.0,2.0.0)";resolution:=optional
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.custom.model
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.custom.model/pom.xml
index f4082c8..64e94ca 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.custom.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/META-INF/MANIFEST.MF
index 4b09264..27888ca 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Custom View SWT DI
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.custom.ui.swt.di;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.custom.ui.swt.di.renderer;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.custom.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common.di;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.custom.ui.swt.di.renderer;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.custom.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common.di;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.e4.core.contexts;bundle-version="[1.3.100,2.0.0)",
  org.eclipse.e4.core.di;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.ui.view.swt.di;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt.di;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.osgi;bundle-version="[3.10.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.custom.ui.swt.di
 Import-Package: javax.annotation;version="1.2.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.swt.widgets;version="0.0.0"
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/pom.xml b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/pom.xml
index e1d118c..536444d 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt.di/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/META-INF/MANIFEST.MF
index 5bcf049..29c2cd9 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/META-INF/MANIFEST.MF
@@ -2,27 +2,28 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Custom View SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.custom.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.custom.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.custom.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.custom.ui.swt.test",
- org.eclipse.emf.ecp.view.spi.custom.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.custom.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.custom.ui.swt.test",
+ org.eclipse.emf.ecp.view.spi.custom.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.custom.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/pom.xml
index 13fc013..051a5bb 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/src/org/eclipse/emf/ecp/view/spi/custom/swt/ECPAbstractCustomControlSWT.java b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/src/org/eclipse/emf/ecp/view/spi/custom/swt/ECPAbstractCustomControlSWT.java
index 07bf363..cc1b3f0 100644
--- a/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/src/org/eclipse/emf/ecp/view/spi/custom/swt/ECPAbstractCustomControlSWT.java
+++ b/bundles/org.eclipse.emf.ecp.view.custom.ui.swt/src/org/eclipse/emf/ecp/view/spi/custom/swt/ECPAbstractCustomControlSWT.java
@@ -72,7 +72,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.ViewerSupport;
 import org.eclipse.jface.viewers.StructuredViewer;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.view.edapt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.edapt/META-INF/MANIFEST.MF
index 107698e..6958cdc 100644
--- a/bundles/org.eclipse.emf.ecp.view.edapt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.edapt/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Edapt
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.edapt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.edapt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.edapt;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.migrator;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.edapt;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.migrator;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edapt.history;bundle-version="[1.0.0,2.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.edapt
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.edapt/pom.xml b/bundles/org.eclipse.emf.ecp.view.edapt/pom.xml
index 6ff2223..022725d 100644
--- a/bundles/org.eclipse.emf.ecp.view.edapt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.edapt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.edapt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.edapt/src/org/eclipse/emf/ecp/view/edapt/DynamicEcoreFactory.java b/bundles/org.eclipse.emf.ecp.view.edapt/src/org/eclipse/emf/ecp/view/edapt/DynamicEcoreFactory.java
index 06bbdfb..8e2c33d 100644
--- a/bundles/org.eclipse.emf.ecp.view.edapt/src/org/eclipse/emf/ecp/view/edapt/DynamicEcoreFactory.java
+++ b/bundles/org.eclipse.emf.ecp.view.edapt/src/org/eclipse/emf/ecp/view/edapt/DynamicEcoreFactory.java
@@ -1,5 +1,5 @@
 /*******************************************************************************
- * Copyright (c) 2011-2014 EclipseSource Muenchen GmbH and others.
+ * Copyright (c) 2011-2022 EclipseSource Muenchen GmbH and others.
  *
  * All rights reserved. This program and the accompanying materials
  * are made available under the terms of the Eclipse Public License 2.0
@@ -10,6 +10,7 @@
  *
  * Contributors:
  * jfaltermeier - initial API and implementation
+ * lkoehler - Override basicCreate to create non-dynamic EObjects
  ******************************************************************************/
 package org.eclipse.emf.ecp.view.edapt;
 
@@ -19,7 +20,11 @@
 import java.util.Date;
 
 import org.eclipse.emf.common.util.WrappedException;
+import org.eclipse.emf.ecore.EClass;
 import org.eclipse.emf.ecore.EDataType;
+import org.eclipse.emf.ecore.EObject;
+import org.eclipse.emf.ecore.EcoreFactory;
+import org.eclipse.emf.ecore.impl.BasicEObjectImpl;
 import org.eclipse.emf.ecore.impl.EFactoryImpl;
 
 /**
@@ -122,6 +127,21 @@
 
 	// END COMPLEX CODE
 
+	@Override
+	protected EObject basicCreate(EClass eClass) {
+		if (eClass.getInstanceClassName() == "java.util.Map$Entry") { //$NON-NLS-1$
+			return super.basicCreate(eClass);
+		}
+		// Create real objects instead of dynamic EObjects (like EFactory) because references to meta objects (e.g.
+		// EStructuralFeatures) can break the migration when they are dynamic EObjects.
+		final EObject eObject = EcoreFactory.eINSTANCE.create(eClass);
+		// Explicitly set the EClass because it is not set by default. When it is not set, .eClass() calls on the
+		// EObject fall back to the EClass in the registered Ecore EPackage. However, the migration might not use the
+		// registered EPackage. Thus, the EClass is set here.
+		BasicEObjectImpl.class.cast(eObject).eSetClass(eClass);
+		return eObject;
+	}
+
 	private Boolean booleanValueOf(String initialValue) {
 		if ("true".equalsIgnoreCase(initialValue)) { //$NON-NLS-1$
 			return Boolean.TRUE;
diff --git a/bundles/org.eclipse.emf.ecp.view.group.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.model.edit/META-INF/MANIFEST.MF
index 9a3eb2c..35eafa5 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.group.model.provider.GroupEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.group.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.group.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.group.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.group.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.model.edit/pom.xml
index 8579fc0..ddc9011 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.group.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.model/META-INF/MANIFEST.MF
index 429912a..f2a13be 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.group.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.group.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.group.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.group.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.group.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.group.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.group.model
diff --git a/bundles/org.eclipse.emf.ecp.view.group.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.model/pom.xml
index 53956b7..d9e67cb 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/META-INF/MANIFEST.MF
index e2e88bc..835e302 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/META-INF/MANIFEST.MF
@@ -2,26 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Collapsable Group
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.swt.collapsable
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.group.swt.internal.collapsable;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.group.swt.internal.collapsable;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.2.0,2.0.0)",
  org.eclipse.jface;bundle-version="[3.3.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/collapsableGroupRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.events;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/pom.xml
index 190f48e..436c413 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/src/org/eclipse/emf/ecp/view/group/swt/internal/collapsable/CollapsableGroupSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/src/org/eclipse/emf/ecp/view/group/swt/internal/collapsable/CollapsableGroupSWTRenderer.java
index d9e67b4..3bcfb7d 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/src/org/eclipse/emf/ecp/view/group/swt/internal/collapsable/CollapsableGroupSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsable/src/org/eclipse/emf/ecp/view/group/swt/internal/collapsable/CollapsableGroupSWTRenderer.java
@@ -32,7 +32,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.jface.resource.FontDescriptor;
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/META-INF/MANIFEST.MF
index 3153571..d15ce83 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Collapsible Group Renderer using PGroup
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.group.swt.internal.collapsible.pgroup;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.view.group.swt.internal.collapsible.pgroup;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/pGroupRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.nebula.widgets.pgroup;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.events;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/pom.xml
index 4f19890..3d4b855 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.collapsible.pgroup/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/META-INF/MANIFEST.MF
index 2238cfe..5598174 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/META-INF/MANIFEST.MF
@@ -2,23 +2,24 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: AlignmentGroup SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.swt.embedded
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.alignmentgroup.internal.swt;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.alignmentgroup.internal.swt;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.2.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/embeddedGroupRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.runtime;version="3.4.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0",
  org.osgi.framework;version="1.6.0"
diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/pom.xml
index 6072cd8..552019b 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/src/org/eclipse/emf/ecp/view/alignmentgroup/internal/swt/EmbeddedGroupSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/src/org/eclipse/emf/ecp/view/alignmentgroup/internal/swt/EmbeddedGroupSWTRenderer.java
index 9f41d6c..04581e9 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/src/org/eclipse/emf/ecp/view/alignmentgroup/internal/swt/EmbeddedGroupSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.group.swt.embedded/src/org/eclipse/emf/ecp/view/alignmentgroup/internal/swt/EmbeddedGroupSWTRenderer.java
@@ -44,7 +44,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
diff --git a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/META-INF/MANIFEST.MF
index 4a8dd2c..79c81eb 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/META-INF/MANIFEST.MF
@@ -2,28 +2,29 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Group UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.group.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.spi.group.swt;version="1.26.0",
- org.eclipse.emfforms.internal.group.swt;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.spi.group.swt;version="1.27.0",
+ org.eclipse.emfforms.internal.group.swt;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.group.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.group.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.databinding.edit;bundle-version="[1.2.0,2.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/groupRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.graphics;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/pom.xml
index fb41491..9f0265f 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/src/org/eclipse/emf/ecp/view/spi/group/swt/GroupSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/src/org/eclipse/emf/ecp/view/spi/group/swt/GroupSWTRenderer.java
index ff8b8a9..a29cce4 100644
--- a/bundles/org.eclipse.emf.ecp.view.group.ui.swt/src/org/eclipse/emf/ecp/view/spi/group/swt/GroupSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.group.ui.swt/src/org/eclipse/emf/ecp/view/spi/group/swt/GroupSWTRenderer.java
@@ -35,7 +35,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.widgets.Composite;
diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/META-INF/MANIFEST.MF
index 1f728e2..1568cfb 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.groupedgrid.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.groupedgrid.model.provider.GroupedGridEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.groupedgrid.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.groupedgrid.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.groupedgrid.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/pom.xml
index e8a9ff4..85871f2 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model.edit/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.groupedgrid.model.edit</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/META-INF/MANIFEST.MF
index f7be72e..94345e8 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.groupedgrid.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.groupedgrid.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.groupedgrid.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.groupedgrid.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.groupedgrid.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.groupedgrid.model
diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/pom.xml
index 4908b90..6793220 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.model/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.groupedgrid.model</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/META-INF/MANIFEST.MF
index 9238cfc..43e3b42 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Grouped Grid UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.groupedgrid.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.groupedgrid.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.groupedgrid.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.groupedgrid.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/GroupedGridSWTRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/pom.xml
index db3afbc..17ac2c1 100644
--- a/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.groupedgrid.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/META-INF/MANIFEST.MF
index fe00f16..7fe347a 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.horizontal.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.horizontal.model.provider.HorizontalEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.horizontal.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.horizontal.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.horizontal.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/pom.xml
index 7fafd15..94c6c66 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.model.edit/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.horizontal.model.edit</artifactId>
   <packaging>eclipse-plugin</packaging>
 
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <groupId>org.eclipse.emf.ecp</groupId>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.horizontal.model/META-INF/MANIFEST.MF
index 2a7e838..60f86ce 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Horizontal View Model
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.horizontal.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.horizontal.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.horizontal.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.horizontal.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.horizontal.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.horizontal.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.horizontal.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.horizontal.model
diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.horizontal.model/pom.xml
index babb3bb..3c03f37 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.model/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.horizontal.model</artifactId>
   <packaging>eclipse-plugin</packaging>
 
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <groupId>org.eclipse.emf.ecp</groupId>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/META-INF/MANIFEST.MF
index dd6964b..c62f918 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Horizontal UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.horizontal.ui.swt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.horizontal.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.horizontal.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.horizontal.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.horizontal.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.horizontal.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/horizontalLayoutRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emf.ecp.view.internal.core.swt;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.internal.core.swt;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0"
diff --git a/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/pom.xml
index 5fb4201..77f14bb 100644
--- a/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.horizontal.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/META-INF/MANIFEST.MF
index fbcd167..a32a802 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.indexdmr.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.indexdmr.model.provider.IndexdmrEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.indexdmr.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.spi.indexdmr.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.indexdmr.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.indexdmr.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.indexdmr.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/pom.xml
index 3b4b20a..3d446ff 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.indexdmr.model/META-INF/MANIFEST.MF
index d77a709..2b65240 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.indexdmr.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.indexdmr.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.indexdmr.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.indexdmr.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.indexdmr.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.indexdmr.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.indexdmr.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.indexdmr.model
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.indexdmr.model/pom.xml
index 28b4acd..a86c012 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/META-INF/MANIFEST.MF
index a965e9f..a1a8ec9 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/META-INF/MANIFEST.MF
@@ -2,30 +2,30 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMFForms Index DMR Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.indexdmr.tooling;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.indexdmr.tooling;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.indexdmr.model;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.indexdmr.tooling;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.indexdmr.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.core.services.emf;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services.emf;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/PrefixDmrDomainModelReferenceRendererService.xml
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.jface.viewers;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/pom.xml b/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/pom.xml
index 4db75f6..2e00271 100644
--- a/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.indexdmr.tooling/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/META-INF/MANIFEST.MF
index c1064f5..e7ed4d5 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.keyattributedmr.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.keyattributedmr.model.provider.KeyattributedmrEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.keyattributedmr.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.spi.keyattributedmr.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.keyattributedmr.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.keyattributedmr.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.keyattributedmr.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/pom.xml
index 26cf746..f685ba6 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/META-INF/MANIFEST.MF
index 302f8b9..c23a981 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.keyattributedmr.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.keyattributedmr.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.keyattributedmr.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.keyattributedmr.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.keyattributedmr.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.keyattributedmr.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.keyattributedmr.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.keyattributedmr.model
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/pom.xml
index 5bc6138..d641325 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/META-INF/MANIFEST.MF
index 7fdc5ed..4d335eb 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/META-INF/MANIFEST.MF
@@ -2,31 +2,31 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms Key Attribute DMR Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.keyattributedmr.tooling;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.keyattributedmr.tooling;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.keyattributedmr.tooling;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.keyattributedmr.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.keyattributedmr.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/KeyValueControlRendererService.xml
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.jface.viewers;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/pom.xml b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/pom.xml
index c9b49a7..0f77885 100644
--- a/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.keyattributedmr.tooling/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.label.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.label.model.edit/META-INF/MANIFEST.MF
index 9d009ba..c44eeb1 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.label.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.label.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.label.model.provider.LabelEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.label.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.label.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.label.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.label.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.label.model.edit/pom.xml
index b3a0702..1884bdd 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.label.model.edit/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.label.model.edit</artifactId>

   <packaging>eclipse-plugin</packaging>

 

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.label.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.label.model/META-INF/MANIFEST.MF
index 583dc18..af0d72b 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.label.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.label.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.label.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.label.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.label.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.label.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.label.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.label.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.label.model
diff --git a/bundles/org.eclipse.emf.ecp.view.label.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.label.model/pom.xml
index 178cbf3..bd66bfa 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.label.model/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.label.model</artifactId>

   <packaging>eclipse-plugin</packaging>

 

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.label.ui.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.label.ui.rap/META-INF/MANIFEST.MF
index 82d08a4..56f2545 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.ui.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.label.ui.rap/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Label Rap
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.label.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.label.rap;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.label.rap;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.label.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.label.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/labelRAPRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core;version="[1.27.0,1.28.0)",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.label.rap
diff --git a/bundles/org.eclipse.emf.ecp.view.label.ui.rap/pom.xml b/bundles/org.eclipse.emf.ecp.view.label.ui.rap/pom.xml
index 72222fb..e2ece01 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.ui.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.label.ui.rap/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.label.rap</artifactId>

   <packaging>eclipse-plugin</packaging>

 

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/META-INF/MANIFEST.MF
index d8fbe25..2b6d38d 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/META-INF/MANIFEST.MF
@@ -2,27 +2,28 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Label UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.label.ui.swt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.label.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.label.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.label.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.label.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.label.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.label.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/labelRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.databinding.property.value;version="0.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.events;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/pom.xml
index fb8b39e..eb53682 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/src/org/eclipse/emf/ecp/view/spi/label/swt/LabelSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/src/org/eclipse/emf/ecp/view/spi/label/swt/LabelSWTRenderer.java
index c59645d..55416d5 100644
--- a/bundles/org.eclipse.emf.ecp.view.label.ui.swt/src/org/eclipse/emf/ecp/view/spi/label/swt/LabelSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.label.ui.swt/src/org/eclipse/emf/ecp/view/spi/label/swt/LabelSWTRenderer.java
@@ -44,7 +44,7 @@
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
 import org.eclipse.jface.databinding.swt.ISWTObservableValue;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.DisposeEvent;
 import org.eclipse.swt.events.DisposeListener;
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/META-INF/MANIFEST.MF
index 3a17627..1614ce9 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.mappingdmr.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.mappingdmr.model.provider.MappingdmrEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.mappingdmr.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.spi.mappingdmr.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.mappingdmr.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.mappingdmr.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.mappingdmr.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/pom.xml
index f4d2397..5ee5a8c 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/META-INF/MANIFEST.MF
index 95774e6..422f982 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.mappingdmr.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.mappingdmr.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.mappingdmr.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.mappingdmr.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.mappingdmr.model.edit"
+Export-Package: org.eclipse.emf.ecp.view.spi.mappingdmr.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.mappingdmr.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.mappingdmr.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.mappingdmr.model.edit"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.mappingdmr.model
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/pom.xml
index 207fd00..ad97be3 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/META-INF/MANIFEST.MF
index 9dbce67..09fd213 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/META-INF/MANIFEST.MF
@@ -2,28 +2,28 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Mapping DMR Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.mappingdmr.tooling;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.mappingdmr.tooling;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.mappingdmr.tooling;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.mappingdmr.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.mappingdmr.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.mappingdmr.tooling
-Import-Package: org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.viewers;version="0.0.0",
  org.eclipse.jface.window;version="0.0.0",
  org.eclipse.jface.wizard;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/pom.xml b/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/pom.xml
index b16ea9e..e20e45f 100644
--- a/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.mappingdmr.tooling/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.migrator/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.migrator/META-INF/MANIFEST.MF
index 16c4312..4ad005f 100644
--- a/bundles/org.eclipse.emf.ecp.view.migrator/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.migrator/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Migrator
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.migrator;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.spi.view.migrator;version="1.26.0",
- org.eclipse.emf.ecp.spi.view.migrator.string;version="1.26.0",
- org.eclipse.emf.ecp.view.migrator;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.spi.view.migrator;version="1.27.0",
+ org.eclipse.emf.ecp.spi.view.migrator.string;version="1.27.0",
+ org.eclipse.emf.ecp.view.migrator;version="1.27.0"
 Require-Bundle: org.eclipse.emf.common;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.core.resources;bundle-version="[3.10.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.migrator/pom.xml b/bundles/org.eclipse.emf.ecp.view.migrator/pom.xml
index e90ca78..1575d1c 100644
--- a/bundles/org.eclipse.emf.ecp.view.migrator/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.migrator/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.migrator</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.view.model.common.di/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.common.di/META-INF/MANIFEST.MF
index f4fb2a2..c1ea41f 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.common.di/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.common.di/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Common View Model Classes for Dependency Injection
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.common.di;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.common.di.annotations;version="1.26.0",
- org.eclipse.emf.ecp.view.model.common.di.messages;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.common.di.renderer;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.common.di.service;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.common.di.service.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.common.di.util;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.common.di;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.e4.core.contexts;bundle-version="[1.3.0,1.9.0)",
+Export-Package: org.eclipse.emf.ecp.view.model.common.di.annotations;version="1.27.0",
+ org.eclipse.emf.ecp.view.model.common.di.messages;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.common.di.renderer;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.common.di.service;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.common.di.service.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.common.di.util;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.common.di;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.e4.core.contexts;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.e4.core.di;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/viewServiceSupplier.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.model.common.di/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.common.di/pom.xml
index d8c84df..c3add5a 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.common.di/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.common.di/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.model.common/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.common/META-INF/MANIFEST.MF
index c6f973d..e14d701 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.common/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.common/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Common View Model Classes
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.common
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.common;version="1.26.0",
- org.eclipse.emf.ecp.view.model.common.edit.provider;version="1.26.0",
- org.eclipse.emf.ecp.view.model.common.util;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.common.callback;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.model.common;version="1.27.0",
+ org.eclipse.emf.ecp.view.model.common.edit.provider;version="1.27.0",
+ org.eclipse.emf.ecp.view.model.common.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.common.callback;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model.common
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.osgi.framework;version="1.3.0"
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.model.common/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.common/pom.xml
index feba806..cb00dcc 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.common/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.common/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.model.edapt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.edapt/META-INF/MANIFEST.MF
index 1eaf20d..d4e9338 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.edapt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.edapt/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Edapt Migration for Core View Model
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.edapt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.view.model.edapt._160to170;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.internal.view.model.edapt._160to170;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.emf.edapt.migration;bundle-version="[1.1.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model.edapt
diff --git a/bundles/org.eclipse.emf.ecp.view.model.edapt/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.edapt/pom.xml
index e3feeaf..8255ca5 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.edapt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.edapt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.model.edapt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.edit/META-INF/MANIFEST.MF
index 1e1bae8..1f59113 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.edit/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.model.provider.ViewEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport
diff --git a/bundles/org.eclipse.emf.ecp.view.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.edit/pom.xml
index d62eec5..6ba40c7 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/META-INF/MANIFEST.MF
index 0b30243..07a3765 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: New View Model Project Wizard
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.project.installer;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.model.internal.project.installer.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.internal.project.handlers;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.internal.project.installer;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.model.internal.project.handlers;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.internal.project.installer;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.common.ui;bundle-version="[2.5.0,3.0.0)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model.project.installer
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/pom.xml
index 4265021..012f076 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.editor.project.installer/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.model.project.installer</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.model.editor/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.editor/META-INF/MANIFEST.MF
index f317fd4..2e5442c 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.editor/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.editor/META-INF/MANIFEST.MF
@@ -2,26 +2,26 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.editor;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.model.presentation.ViewEditorPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.model.actions;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.presentation;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.model.project.installer",
- org.eclipse.emf.ecp.view.model.refactoring;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.model.actions;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.presentation;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.model.project.installer",
+ org.eclipse.emf.ecp.view.model.refactoring;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ltk.core.refactoring;bundle-version="[3.5.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.model.editor/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.editor/pom.xml
index 5f42acf..6c1eb17 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.editor/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.editor/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.model.generator/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.generator/META-INF/MANIFEST.MF
index 784ab1b..725f74e 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.generator/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.generator/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Generator
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.provider.generator;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.generator;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.model.generator;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model.provider.generator
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.model.generator/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.generator/pom.xml
index 127cf4f..eb55a9f 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.generator/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.generator/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.model.preview.common/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.preview.common/META-INF/MANIFEST.MF
index 72f5801..ddf629b 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.preview.common/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.preview.common/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Preview Common
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.preview.common;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.model.preview.common.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.preview.common;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.model.preview.e3,org.eclipse.emf.ecp.view.model.preview.e4"
+Export-Package: org.eclipse.emf.ecp.view.model.preview.common;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.model.preview.e3,org.eclipse.emf.ecp.view.model.preview.e4"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ui.workbench;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.model.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.categorization.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.model.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.5.0,3.0.0)"
 Import-Package: org.eclipse.core.resources;version="0.0.0",
- org.eclipse.emf.ecp.ui.view.swt;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.locale;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.locale;version="[1.27.0,1.28.0)",
  org.eclipse.jface;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.model.preview.common/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.preview.common/pom.xml
index ee34b9f..06f853c 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.preview.common/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.preview.common/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.model.preview.common</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.model.preview.e3/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.preview.e3/META-INF/MANIFEST.MF
index 342259f..1827ae4 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.preview.e3/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.preview.e3/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Preview View
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.preview.e3;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.model.internal.preview.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.model.internal.preview;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.internal.preview.actions;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.internal.preview.e3.views;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.model.internal.preview;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.internal.preview.actions;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.internal.preview.e3.views;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.model.preview.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.preview.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.ui.workbench;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.editor.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.editor.viewmodel;bundle-version="[1.26.0,1.26.1)";resolution:=optional,
- org.eclipse.emfforms.editor;bundle-version="[1.26.0,1.26.1)";resolution:=optional
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.view.service;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.editor.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.editor.viewmodel;bundle-version="[1.27.0,1.28.0)";resolution:=optional,
+ org.eclipse.emfforms.editor;bundle-version="[1.27.0,1.28.0)";resolution:=optional
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.commands;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.model.preview.e3/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.preview.e3/pom.xml
index e2dfbdc..f3a6d17 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.preview.e3/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.preview.e3/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.model.preview.e3</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/META-INF/MANIFEST.MF
index be3709e..4ab7a96 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: XMI View Model Provider
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model.provider.xmi;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.view.model.provider.xmi.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.view.model.provider.xmi;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.model.provider.xmi;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls"
+Export-Package: org.eclipse.emf.ecp.internal.view.model.provider.xmi;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.model.provider.xmi;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ui.view.editor.controls"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.ecore.xmi;bundle-version="2.8.0",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.migrator;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.migrator;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model.provider.xmi
diff --git a/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/pom.xml b/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/pom.xml
index bcefbec..8aa6f70 100644
--- a/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model.provider.xmi/pom.xml
@@ -7,7 +7,7 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.model/META-INF/MANIFEST.MF
index 711ac7b..6b5572d 100644
--- a/bundles/org.eclipse.emf.ecp.view.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.model/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.model.impl.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.model.internal.reporting;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.model.reporting;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.model.internal.reporting;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.model.reporting;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.model
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
diff --git a/bundles/org.eclipse.emf.ecp.view.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.model/pom.xml
index be452c1..6178249 100644
--- a/bundles/org.eclipse.emf.ecp.view.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/DiagnosticMessageExtractor.java b/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/DiagnosticMessageExtractor.java
index 9eb4f18..969ce3b 100644
--- a/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/DiagnosticMessageExtractor.java
+++ b/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/DiagnosticMessageExtractor.java
@@ -15,9 +15,9 @@
 
 import java.util.ArrayList;
 import java.util.Collection;
-import java.util.Collections;
 import java.util.Comparator;
 import java.util.List;
+import java.util.StringJoiner;
 
 import org.eclipse.emf.common.util.Diagnostic;
 
@@ -45,19 +45,20 @@
 		if (diagnostic.getSeverity() == Diagnostic.OK) {
 			return ""; //$NON-NLS-1$
 		}
-		if (diagnostic.getChildren() != null && diagnostic.getChildren().size() == 0) {
+		if (diagnostic.getChildren() != null && diagnostic.getChildren().isEmpty()) {
 			return diagnostic.getMessage();
 		}
-		final StringBuilder sb = new StringBuilder();
+		final StringJoiner sb = new StringJoiner("\n"); //$NON-NLS-1$
 		for (final Diagnostic childDiagnostic : diagnostic.getChildren()) {
-			if (sb.length() > 0) {
-				sb.append("\n"); //$NON-NLS-1$
-			}
-			sb.append(childDiagnostic.getMessage());
+			sb.add(childDiagnostic.getMessage());
 		}
 		return sb.toString();
 	}
 
+	private static final Comparator<Diagnostic> HIGEST_SEVERITY_FIRST = Comparator //
+		.comparingInt(Diagnostic::getSeverity).reversed() // highest first
+		.thenComparing(Diagnostic::getMessage);
+
 	/**
 	 * Extract the message to display from a collection of {@link Diagnostic Diagnostics}. If the severity of the
 	 * Diagnostic is {@link Diagnostic#OK} then it is skipped.
@@ -67,27 +68,13 @@
 	 */
 	public static String getMessage(Collection<Diagnostic> diagnostics) {
 		final List<Diagnostic> diagnosticList = new ArrayList<>(diagnostics);
-		Collections.sort(diagnosticList, new Comparator<Diagnostic>() {
+		diagnosticList.sort(HIGEST_SEVERITY_FIRST);
 
-			@Override
-			public int compare(Diagnostic o1, Diagnostic o2) {
-				if (o1.getSeverity() != o2.getSeverity()) {
-					// highest first
-					return o2.getSeverity() - o1.getSeverity();
-				}
-				return o1.getMessage().compareTo(o2.getMessage());
-			}
-		});
-
-		final StringBuilder sb = new StringBuilder();
+		final StringJoiner sb = new StringJoiner("\n"); //$NON-NLS-1$
 		for (final Diagnostic diagnostic : diagnosticList) {
-			if (diagnostic.getSeverity() == Diagnostic.OK) {
-				continue;
+			if (diagnostic.getSeverity() != Diagnostic.OK) {
+				sb.add(getMessage(diagnostic));
 			}
-			if (sb.length() > 0) {
-				sb.append("\n"); //$NON-NLS-1$
-			}
-			sb.append(getMessage(diagnostic));
 		}
 		return sb.toString();
 	}
diff --git a/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/impl/VDiagnosticImpl.java b/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/impl/VDiagnosticImpl.java
index 1a661f4..737fc8b 100644
--- a/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/impl/VDiagnosticImpl.java
+++ b/bundles/org.eclipse.emf.ecp.view.model/src/org/eclipse/emf/ecp/view/spi/model/impl/VDiagnosticImpl.java
@@ -124,7 +124,7 @@
 
 		if (diagnostic instanceof Diagnostic) {
 			final Diagnostic d = (Diagnostic) diagnostic;
-			if (!d.getData().isEmpty()) {
+			if (d.getData() != null && !d.getData().isEmpty()) {
 				final Object first = d.getData().get(0);
 				if (first instanceof EObject) {
 					result = (EObject) first;
diff --git a/bundles/org.eclipse.emf.ecp.view.rule.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.rule.model.edit/META-INF/MANIFEST.MF
index 72361f4..72b6046 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.rule.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Rule Model Edit Plugin
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.rule.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.rule.model.provider.RuleEditPlugin$Implementation
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.rule.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.rule.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.rule.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.rule.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.rule.model.edit/pom.xml
index 7c1aa24..51f6056 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.rule.model.edit/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.rule.model.edit</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.rule.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.rule.model/META-INF/MANIFEST.MF
index 9ed3e89..adb724f 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.rule.model/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Rule Model Plugin
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.rule.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.rule.model.Activator
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.rule.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.rule.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.rule.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.rule.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.rule.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.rule.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.4.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.rule.model
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)"
diff --git a/bundles/org.eclipse.emf.ecp.view.rule.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.rule.model/pom.xml
index ca39ce9..7253ad7 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.rule.model/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.rule.model</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.rule/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.rule/META-INF/MANIFEST.MF
index 399816d..1fe172f 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.rule/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Rule
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.rule;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.rule;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.rule.test,org.eclipse.emf.ecp.view.model.integrationtest,org.eclipse.emf.ecp.view.unset.test",
- org.eclipse.emf.ecp.view.spi.rule;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.rule;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.rule.test,org.eclipse.emf.ecp.view.model.integrationtest,org.eclipse.emf.ecp.view.unset.test",
+ org.eclipse.emf.ecp.view.spi.rule;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.emf;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.rule.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.emf;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/org.eclipse.emf.ecp.view.internal.rule.OrConditionService.xml,
  OSGI-INF/org.eclipse.emf.ecp.view.internal.rule.LeafConditionService.xml,
@@ -25,7 +25,7 @@
  OSGI-INF/org.eclipse.emf.ecp.view.internal.rule.TrueConditionService.xml,
  OSGI-INF/org.eclipse.emf.ecp.view.internal.rule.IsProxyConditionService.xml
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.view;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.view;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="1.2.0"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.rule
diff --git a/bundles/org.eclipse.emf.ecp.view.rule/pom.xml b/bundles/org.eclipse.emf.ecp.view.rule/pom.xml
index e3ee792..1a251a3 100644
--- a/bundles/org.eclipse.emf.ecp.view.rule/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.rule/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.rule</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

   

diff --git a/bundles/org.eclipse.emf.ecp.view.section.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.section.model.edit/META-INF/MANIFEST.MF
index b01f1b8..d8c4bf1 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.section.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.section.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.section.model.provider.SectionEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.section.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.section.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.section.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.section.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.section.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.section.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.section.model.edit/pom.xml
index 0710c91..8452ab2 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.section.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.section.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.section.model/META-INF/MANIFEST.MF
index 9c06be3..c8fb612 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.section.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.section.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.section.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.section.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.section.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.section.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.section.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.section.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.section.model
diff --git a/bundles/org.eclipse.emf.ecp.view.section.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.section.model/pom.xml
index 0ffd805..8080eba 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.section.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/META-INF/MANIFEST.MF
index 2106e85..9654330 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/META-INF/MANIFEST.MF
@@ -2,28 +2,29 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Section UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.section.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.section.ui.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.section.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.internal.section.ui.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.section.swt;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.section.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.section.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.internal.section.ui.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.section.swt;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.section.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.annotation.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.annotation.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.beans;bundle-version="[1.3.0,2.0.0)"
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.graphics;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/pom.xml
index 5535866..662f71c 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionLeafSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionLeafSWTRenderer.java
index ab5f4bc..8ce95ea 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionLeafSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionLeafSWTRenderer.java
@@ -28,7 +28,7 @@
 import org.eclipse.emfforms.spi.common.report.ReportService;
 import org.eclipse.emfforms.spi.swt.core.layout.GridDescriptionFactory;
 import org.eclipse.emfforms.spi.swt.core.layout.SWTGridDescription;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionNodeSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionNodeSWTRenderer.java
index c79d231..bd6a159 100644
--- a/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionNodeSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.section.ui.swt/src/org/eclipse/emf/ecp/view/spi/section/swt/SectionNodeSWTRenderer.java
@@ -21,7 +21,7 @@
 
 import javax.inject.Inject;
 
-import org.eclipse.core.databinding.beans.PojoProperties;
+import org.eclipse.core.databinding.beans.typed.PojoProperties;
 import org.eclipse.core.databinding.observable.value.IObservableValue;
 import org.eclipse.core.databinding.observable.value.WritableValue;
 import org.eclipse.emf.databinding.edit.EMFEditObservables;
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.stack.model.edit/META-INF/MANIFEST.MF
index 6d3f3c3..55fda9d 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.stack.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.stack.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.stack.model.provider.StackEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
 Export-Package: org.eclipse.emf.ecp.view.spi.stack.model.provider;version="0.1.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.6.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.stack.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.stack.model.edit/pom.xml
index 6c2677d..d31a540 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.stack.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.stack.model/META-INF/MANIFEST.MF
index ad44de9..97de7b0 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.stack.model/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.stack.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
@@ -11,7 +11,7 @@
  org.eclipse.emf.ecp.view.spi.stack.model.util;version="0.1.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.stack.model
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.stack.model/pom.xml
index 51aae75..e2e6341 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.stack.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/META-INF/MANIFEST.MF
index 083a11a..92f1f29 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/META-INF/MANIFEST.MF
@@ -2,27 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.stack.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.stack.ui.swt.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.internal.stack.ui.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.stack.ui.swt;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.stack.ui.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.stack.ui.swt;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.stack.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.stack.ui.swt
 Service-Component: OSGI-INF/SWTStackLayoutRendererService.xml,OSGI-INF/stackItemRendererService.xml
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.custom;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/pom.xml
index 204dbbb..43389b5 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.stack.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/META-INF/MANIFEST.MF
index 57ae6e7..03f66f7 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Stack Layout Viewmodel
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.stack.viewmodel;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Require-Bundle: org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)"
+Require-Bundle: org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.stack.viewmodel
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/pom.xml b/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/pom.xml
index c60bd7a..b9f9b1d 100644
--- a/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.stack.viewmodel/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.swt.layout/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.swt.layout/META-INF/MANIFEST.MF
index c95da77..c67025b 100644
--- a/bundles/org.eclipse.emf.ecp.view.swt.layout/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.swt.layout/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Default LayoutProvider
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.swt.layout;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.swt.internal.layout;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)"
+Export-Package: org.eclipse.emf.ecp.view.swt.internal.layout;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/org.eclipse.emf.ecp.view.swt.internal.layout.ECPLayoutProvider.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.swt.layout/pom.xml b/bundles/org.eclipse.emf.ecp.view.swt.layout/pom.xml
index eb80757..a51c010 100644
--- a/bundles/org.eclipse.emf.ecp.view.swt.layout/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.swt.layout/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.swt.layout</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/META-INF/MANIFEST.MF
index ade4d4d..4c3037e 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Table UI SWT Additional Cell Editors for Non-RAP Applications
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.celleditor.rcp;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.table.celleditor.rcp;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.table.celleditor.rcp;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.internal.table.celleditor.rcp;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.table.celleditor.rcp;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.jface;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.jface.databinding;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.celleditor.rcp
diff --git a/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/pom.xml
index b2252aa..1b9dc26 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.celleditor.rcp/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.table.celleditor.rcp</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.columnservice/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.columnservice/META-INF/MANIFEST.MF
index a721117..318923e 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.columnservice/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.columnservice/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP View Table Column Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.columnservice;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.table.columnservice.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.table.columnservice;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt.test"
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.table.columnservice;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.ui.swt.test"
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.columnservice
diff --git a/bundles/org.eclipse.emf.ecp.view.table.columnservice/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.columnservice/pom.xml
index 611d4c8..fd5f52f 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.columnservice/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.columnservice/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.table.columnservice</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.edapt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.edapt/META-INF/MANIFEST.MF
index 4a06a6f..93fef2d 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.edapt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.edapt/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Edapt Migration for Table View Model
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.edapt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.table.edapt._140to150;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.table.edapt._140to150;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.emf.edapt.migration;bundle-version="[1.0.0,2.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.edapt
diff --git a/bundles/org.eclipse.emf.ecp.view.table.edapt/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.edapt/pom.xml
index 65585f7..5773eec 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.edapt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.edapt/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.table.edapt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.model.edit/META-INF/MANIFEST.MF
index 070555d..327e25a 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.table.model.provider.TableEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.table.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.table.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.table.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.model.edit/pom.xml
index d3618a7..0f4aae9 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.model.edit/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.table.model.edit</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.table.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.model/META-INF/MANIFEST.MF
index 7cb9b39..ca30f1b 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.model/META-INF/MANIFEST.MF
@@ -2,27 +2,27 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.table.model.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.internal.table.generator;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.table.columnservice,org.eclipse.emf.ecp.view.table.editor",
- org.eclipse.emf.ecp.view.internal.table.model;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.table.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.table.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.table.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.table.generator;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.table.columnservice,org.eclipse.emf.ecp.view.table.editor",
+ org.eclipse.emf.ecp.view.internal.table.model;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.table.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.table.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.table.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)"
 Import-Package: org.eclipse.emf.databinding;version="0.0.0",
- org.eclipse.emf.ecp.common.spi.asserts;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common.spi.asserts;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="1.2.0"
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.model
diff --git a/bundles/org.eclipse.emf.ecp.view.table.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.model/pom.xml
index 6aa4e8f..c433c00 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.model/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.table.model</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/META-INF/MANIFEST.MF
index 94283c1..9530712 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/META-INF/MANIFEST.MF
@@ -2,42 +2,43 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Grid Table Rap
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Export-Package: org.eclipse.emf.ecp.view.internal.table.ui.nebula.grid.rap;version="1.17.0";x-internal:=true,
  org.eclipse.emf.ecp.view.spi.table.nebula.grid.rap;version="1.17.0",
  org.eclipse.emf.ecp.view.spi.table.nebula.grid.rap.menu;version="1.17.0",
  org.eclipse.emf.ecp.view.spi.table.nebula.grid.rap.messages;version="1.17.0"
-Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.commands;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.table;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.table;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.rap.nebula.widgets.grid;bundle-version="3.4.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Service-Component: OSGI-INF/RAPGridControlSWTRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emf.ecp.view.spi.table.model;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.spi.table.swt;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.editsupport;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.localization;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core.di;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.spi.table.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.spi.table.swt;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.editsupport;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.localization;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core.di;version="[1.27.0,1.28.0)",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/pom.xml
index 77d625a..76511e6 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.table.ui.nebula.grid.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/META-INF/MANIFEST.MF
index 70284d4..4adf9bb 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/META-INF/MANIFEST.MF
@@ -2,40 +2,41 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms Nebula Grid Table UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.ui.nebula.grid;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: OSGI-INF/l10n/bundle
-Export-Package: org.eclipse.emf.ecp.view.internal.table.nebula.grid;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.table.nebula.grid;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.table.nebula.grid.menu;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.table.nebula.grid.messages;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.table.nebula.grid;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.table.nebula.grid;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.table.nebula.grid.menu;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.table.nebula.grid.messages;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.commands;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.table;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.table;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.runtime;version="[3.5.0,4.0.0)",
- org.eclipse.emf.ecp.view.spi.table.model;version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.spi.table.swt;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.localization;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core.di;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.spi.table.model;version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.spi.table.swt;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.localization;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core.di;version="[1.27.0,1.28.0)",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/pom.xml
index 8e04267..ac6182f 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.nebula.grid/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.table.ui.nebula.grid</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/META-INF/MANIFEST.MF
index 97f8862..d833edc 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/META-INF/MANIFEST.MF
@@ -2,30 +2,30 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Table UI RCP
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.ui.rcp
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.table.ui.rcp;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.table.ui.rcp;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.table.ui.rcp;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.table.ui.rcp;version="1.27.0"
 Require-Bundle: org.eclipse.swt;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.jface;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.emf.edit.ui;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.emf;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.table.ui.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.emf;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding;bundle-version="[1.5.0,2.0.0)",
  org.eclipse.emf.databinding.edit;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.swt.table;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.table;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/TableControlRCPRendererService.xml,OSGI-INF/TableControlDetailDialogRCPRendererService.xml,OSGI-INF/TableControlDetailPanelRCPRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.ui.rcp
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/pom.xml
index b0a701a..2b0405e 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.rcp/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.table.ui.rcp</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/META-INF/MANIFEST.MF
index 2481a7d..3719e83 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Table UI SWT Service for Persisting State
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.ui.swt.persistedstate
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.internal.view.table.ui.swt.persistedstate.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.internal.view.table.ui.swt.persistedstate;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.spi.view.table.ui.swt.persistedstate;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.internal.view.table.ui.swt.persistedstate;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.spi.view.table.ui.swt.persistedstate;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.27.0,1.28.0)"
 Import-Package: org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.ui.swt.persistedstate
 Service-Component: OSGI-INF/PersistTableStateServiceFactory.xml
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/pom.xml
index 85a7dcc..6ca5384 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt.persistedstate/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.table.ui.swt.persistedstate</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/META-INF/MANIFEST.MF
index 879cfb6..c86c710 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/META-INF/MANIFEST.MF
@@ -2,43 +2,45 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Table UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.table.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.table.swt;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.ui.editor.test,org.eclipse.emf.ecp.view.table.ui.swt.test",
- org.eclipse.emf.ecp.view.internal.table.swt.cell;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.table.swt;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.table.swt.action;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.table.swt;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.ui.editor.test,org.eclipse.emf.ecp.view.table.ui.swt.test",
+ org.eclipse.emf.ecp.view.internal.table.swt.cell;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.table.swt;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.table.swt.action;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
  org.eclipse.core.commands;bundle-version="[3.5.0,4.0.0)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.localization;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.localization;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.table;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services.editsupport;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.table;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.multisegment.model;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.e4.core.di.annotations;version="[1.3.0,2.0.0)",
- org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.dnd;version="0.0.0",
- org.eclipse.emfforms.bazaar;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.bazaar;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
  org.eclipse.jface.bindings.keys;version="0.0.0",
  org.eclipse.jface.databinding.swt;version="0.0.0",
+ org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.eclipse.jface.databinding.viewers;version="0.0.0",
+ org.eclipse.jface.databinding.viewers.typed;version="0.0.0",
  org.eclipse.jface.dialogs;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/pom.xml
index 2b14137..3aa4081 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.table.ui.swt</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/ItemProviderEnumCellEditor.java b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/ItemProviderEnumCellEditor.java
index 594f556..aac5fd8 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/ItemProviderEnumCellEditor.java
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/ItemProviderEnumCellEditor.java
@@ -55,7 +55,7 @@
 import org.eclipse.emfforms.spi.common.report.AbstractReport;
 import org.eclipse.emfforms.spi.common.report.ReportService;
 import org.eclipse.emfforms.spi.localization.EMFFormsLocalizationService;
-import org.eclipse.jface.databinding.viewers.ViewerProperties;
+import org.eclipse.jface.databinding.viewers.typed.ViewerProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent;
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlDetailPanelRenderer.java b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlDetailPanelRenderer.java
index b5c80c4..9e245c2 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlDetailPanelRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlDetailPanelRenderer.java
@@ -151,8 +151,9 @@
 	 * Create the detail manager in the given {@code parent}.
 	 *
 	 * @param parent the parent composite in which to present details
+	 * @since 1.27
 	 */
-	void createDetailManager(Composite parent) {
+	protected void createDetailManager(Composite parent) {
 		detailManager = new DetailViewManager(parent, __ -> getVElement().getDetailView());
 		detailManager.setCache(DetailViewCache.createCache(getViewModelContext()));
 		detailManager.layoutDetailParent(parent);
diff --git a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlSWTRenderer.java
index 63c4a14..a06df32 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.table.ui.swt/src/org/eclipse/emf/ecp/view/spi/table/swt/TableControlSWTRenderer.java
@@ -172,7 +172,7 @@
 import org.eclipse.emfforms.spi.swt.table.action.ViewerActionContext;
 import org.eclipse.emfforms.view.spi.multisegment.model.MultiSegmentUtil;
 import org.eclipse.emfforms.view.spi.multisegment.model.VMultiDomainModelReferenceSegment;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.databinding.viewers.ObservableListContentProvider;
 import org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider;
 import org.eclipse.jface.dialogs.IDialogConstants;
@@ -398,7 +398,6 @@
 		return renderTableControl(gridCell, parent);
 	}
 
-	@SuppressWarnings("unchecked")
 	@Override
 	protected Control createLabel(final Composite parent) {
 		final VDomainModelReference dmrToCheck = getDMRToMultiReference();
diff --git a/bundles/org.eclipse.emf.ecp.view.table.validation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.table.validation/META-INF/MANIFEST.MF
index 9b5a79e..6370d2d 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.validation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.table.validation/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms Table Detail Validation (Legacy)
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.table.validation;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.table.internal.validation;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.table.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.table.internal.validation;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.table.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.table.validation
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.table.validation/pom.xml b/bundles/org.eclipse.emf.ecp.view.table.validation/pom.xml
index cd601d0..df0c160 100644
--- a/bundles/org.eclipse.emf.ecp.view.table.validation/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.table.validation/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.table.validation</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/META-INF/MANIFEST.MF
index e4905fa..4eb8d4b 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.annotation.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.template.selector.annotation.model.provider.AnnotationSelectorEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.template.selector.annotation.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.template.selector.annotation.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.template.annotation.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.template.annotation.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.template.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.template.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.template.annotation.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/pom.xml
index fb8ed2a..5890c73 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.annotation.model.edit/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.template.annotation.model.edit</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.template.annotation.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.annotation.model/META-INF/MANIFEST.MF
index 402965a..86a67a6 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.annotation.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.annotation.model/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.annotation.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.template.selector.annotation.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.selector.annotation.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.annotation.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.annotation.model.edit"
+Export-Package: org.eclipse.emf.ecp.view.template.selector.annotation.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.selector.annotation.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.annotation.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.annotation.model.edit"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.view.annotation.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.view.annotation.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.template.annotation.model
diff --git a/bundles/org.eclipse.emf.ecp.view.template.annotation.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.annotation.model/pom.xml
index 71fb5f4..165987f 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.annotation.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.annotation.model/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.template.annotation.model</artifactId>
   <packaging>eclipse-plugin</packaging>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.template.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.model.edit/META-INF/MANIFEST.MF
index e108871..e4ef166 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.model.edit/META-INF/MANIFEST.MF
@@ -2,37 +2,37 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.template.model.provider.TemplateEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.template.model.provider;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.annotation.model.edit",
- org.eclipse.emf.ecp.view.template.selector.bool.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.hierarchy.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.alignment.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.background.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.fontProperties.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.keybinding.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.labelwidth.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.mandatory.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.reference.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.tab.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.tableValidation.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.unsettable.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.validation.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.wrap.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.template.model.provider;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.annotation.model.edit",
+ org.eclipse.emf.ecp.view.template.selector.bool.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.hierarchy.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.alignment.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.background.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.fontProperties.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.keybinding.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.labelwidth.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.mandatory.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.reference.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.tab.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.tableValidation.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.unsettable.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.validation.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.wrap.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.template.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.template.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.model.edit/pom.xml
index 96f5137..21503d7 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.model.edit/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.template.model.edit</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.template.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.model/META-INF/MANIFEST.MF
index 73f9363..f767ccb 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.model/META-INF/MANIFEST.MF
@@ -2,77 +2,77 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.internal.view.template.model.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.internal.view.template.model;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit,org.eclipse.emf.ecp.view.template.annotation.model.edit",
- org.eclipse.emf.ecp.view.template.selector.bool.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.selector.bool.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.bool.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.selector.hierarchy.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.selector.hierarchy.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.hierarchy.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.selector.viewModelElement.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.alignment.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.alignment.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.alignment.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.background.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.background.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.background.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.fontProperties.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.fontProperties.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.fontProperties.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.keybinding.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.keybinding.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.keybinding.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.labelwidth.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.labelwidth.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.labelwidth.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.mandatory.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.mandatory.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.mandatory.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.reference.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.reference.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.reference.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.tab.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.tab.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.tab.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.impl;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.tableValidation.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.tableValidation.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.tableValidation.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.textControlEnablement.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.unsettable.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.unsettable.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.unsettable.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.validation.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.validation.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.validation.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
- org.eclipse.emf.ecp.view.template.style.wrap.model;version="1.26.0",
- org.eclipse.emf.ecp.view.template.style.wrap.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.style.wrap.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit"
+Export-Package: org.eclipse.emf.ecp.internal.view.template.model;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit,org.eclipse.emf.ecp.view.template.annotation.model.edit",
+ org.eclipse.emf.ecp.view.template.selector.bool.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.selector.bool.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.bool.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.domainmodelreference.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.selector.hierarchy.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.selector.hierarchy.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.hierarchy.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.selector.viewModelElement.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.alignment.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.alignment.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.alignment.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.background.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.background.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.background.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.fontProperties.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.fontProperties.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.fontProperties.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.keybinding.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.keybinding.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.keybinding.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.labelwidth.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.labelwidth.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.labelwidth.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.mandatory.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.mandatory.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.mandatory.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.reference.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.reference.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.reference.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.tab.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.tab.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.tab.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.impl;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.tableStyleProperty.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.tableValidation.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.tableValidation.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.tableValidation.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.textControlEnablement.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.textControlEnablement.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.unsettable.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.unsettable.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.unsettable.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.validation.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.validation.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.validation.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit",
+ org.eclipse.emf.ecp.view.template.style.wrap.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.style.wrap.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.style.wrap.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.template.model.edit"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.template.model
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
diff --git a/bundles/org.eclipse.emf.ecp.view.template.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.model/pom.xml
index e8c740a..5dbc0b5 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.model/pom.xml
@@ -7,12 +7,12 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.template.model</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.template.service/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.service/META-INF/MANIFEST.MF
index 573f57f..00125b1 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.service/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.service/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ViewTemplate Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.service;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.template.service.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.spi.view.template.service;version="1.26.0",
- org.eclipse.emf.ecp.view.template.service;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.spi.view.template.service;version="1.27.0",
+ org.eclipse.emf.ecp.view.template.service;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.segments;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.segments;bundle-version="[1.27.0,1.28.0)"
 Import-Package: org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.view.template.service
 Service-Component: OSGI-INF/viewTemplate.xml,OSGI-INF/ViewTemplateSupplierImpl.xml
diff --git a/bundles/org.eclipse.emf.ecp.view.template.service/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.service/pom.xml
index 4dcf08d..1fda7fe 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.service/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.service/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.template.service</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <properties>

   	<jacoco.percentage.instruction>0.1</jacoco.percentage.instruction>

diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.template.tooling/META-INF/MANIFEST.MF
index 89fa5e0..247ca51 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Template Tooling
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.template.tooling;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.template.internal.tooling.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.template.internal.tooling;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.internal.tooling.controls;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.internal.tooling.util;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.tooling;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.tooling.editor;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.template.tooling.wizards;version="1.26.0";x-friends:="org.eclipse.emf.ecp.ide.editor.view.templatebridge"
+Export-Package: org.eclipse.emf.ecp.view.template.internal.tooling;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.internal.tooling.controls;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.internal.tooling.util;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.tooling;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.tooling.editor;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.template.tooling.wizards;version="1.27.0";x-friends:="org.eclipse.emf.ecp.ide.editor.view.templatebridge"
 Require-Bundle: org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.9.0,4.0.0)",
  org.eclipse.ui;bundle-version="[3.100.0,4.0.0)",
@@ -18,29 +18,29 @@
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding;bundle-version="[1.4.1,2.0.0)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.template.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.template.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.editor.controls;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.editor;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.databinding.property;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.databinding;bundle-version="[1.3.0,2.0.0)",
- org.eclipse.emfforms.editor;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.treemasterdetail;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.migrator;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.ide.view.segments;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.core.services.segments;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.editor;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.treemasterdetail;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.migrator;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.ide.view.segments;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.core.services.segments;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit.spi.swt.util;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding.emf;version="[1.27.0,1.28.0)",
  org.eclipse.jface.databinding.swt;version="0.0.0",
  org.eclipse.jface.databinding.swt.typed;version="0.0.0",
  org.osgi.service.component.annotations;version="1.2.0"
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/pom.xml b/bundles/org.eclipse.emf.ecp.view.template.tooling/pom.xml
index 55c5b55..7d5676f 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/AttributeSelectControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/AttributeSelectControlSWTRenderer.java
index 786e880..30f495d 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/AttributeSelectControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/AttributeSelectControlSWTRenderer.java
@@ -41,7 +41,6 @@
  * @author Eugen Neufeld
  *
  */
-@SuppressWarnings("restriction")
 public class AttributeSelectControlSWTRenderer extends EditableEReferenceLabelControlSWTRenderer {
 
 	/**
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/DMRSelectorControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/DMRSelectorControlSWTRenderer.java
index ca6822f..75d9a4b 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/DMRSelectorControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/DMRSelectorControlSWTRenderer.java
@@ -46,7 +46,6 @@
  * @author Eugen Neufeld
  *
  */
-@SuppressWarnings("restriction")
 public class DMRSelectorControlSWTRenderer extends EditableEReferenceLabelControlSWTRenderer {
 
 	/**
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/HexColorSelectionControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/HexColorSelectionControlSWTRenderer.java
index 9c74d01..96bcf9a 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/HexColorSelectionControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/HexColorSelectionControlSWTRenderer.java
@@ -32,7 +32,7 @@
 import org.eclipse.emfforms.spi.core.services.databinding.DatabindingFailedReport;
 import org.eclipse.emfforms.spi.core.services.databinding.EMFFormsDatabinding;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.swt.SWT;
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/URLSelectionControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/URLSelectionControlSWTRenderer.java
index e8ff02b..2cbff78 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/URLSelectionControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/URLSelectionControlSWTRenderer.java
@@ -38,7 +38,7 @@
 import org.eclipse.emfforms.spi.core.services.databinding.DatabindingFailedReport;
 import org.eclipse.emfforms.spi.core.services.databinding.EMFFormsDatabinding;
 import org.eclipse.emfforms.spi.core.services.label.EMFFormsLabelProvider;
-import org.eclipse.jface.databinding.swt.WidgetProperties;
+import org.eclipse.jface.databinding.swt.typed.WidgetProperties;
 import org.eclipse.jface.layout.GridDataFactory;
 import org.eclipse.jface.layout.GridLayoutFactory;
 import org.eclipse.jface.viewers.ILabelProvider;
diff --git a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/ViewModelSelectControlSWTRenderer.java b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/ViewModelSelectControlSWTRenderer.java
index 202cb52..fc33547 100644
--- a/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/ViewModelSelectControlSWTRenderer.java
+++ b/bundles/org.eclipse.emf.ecp.view.template.tooling/src/org/eclipse/emf/ecp/view/template/internal/tooling/controls/ViewModelSelectControlSWTRenderer.java
@@ -48,7 +48,6 @@
  * @author Eugen Neufeld
  *
  */
-@SuppressWarnings("restriction")
 public class ViewModelSelectControlSWTRenderer extends EditableEReferenceLabelControlSWTRenderer {
 
 	/**
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/META-INF/MANIFEST.MF
index c81b867..b53a026 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.treemasterdetail.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.treemasterdetail.model.provider.TreeMasterDetailEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.model.provider;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.model.provider;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.5.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.5.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.treemasterdetail.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/pom.xml
index e051f8a..bbd2f3b 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model.edit/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.treemasterdetail.model.edit</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/META-INF/MANIFEST.MF
index ca0a943..ced8e81 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.treemasterdetail.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.model;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.treemasterdetail.model.edit,org.eclipse.emf.ecp.view.treemasterdetail.ui.swt",
- org.eclipse.emf.ecp.view.treemasterdetail.model.impl;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.treemasterdetail.model.util;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.treemasterdetail.model.edit"
+Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.model;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.treemasterdetail.model.edit,org.eclipse.emf.ecp.view.treemasterdetail.ui.swt",
+ org.eclipse.emf.ecp.view.treemasterdetail.model.impl;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.treemasterdetail.model.util;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.treemasterdetail.model.edit"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.treemasterdetail.model
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/pom.xml
index 0771912..4c64efe 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.model/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.treemasterdetail.model</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/META-INF/MANIFEST.MF
index ae36a6f..aa18ab2 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/META-INF/MANIFEST.MF
@@ -2,32 +2,32 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Vertical UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.treemasterdetail.ui.swt.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.treemasterdetail.ui.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt;version="1.26.0",
- org.eclipse.emf.ecp.view.treemasterdetail.ui.swt.internal;version="1.26.0";x-internal:=true,
- org.eclipse.emf.edit.ui.action.ecp;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.internal.treemasterdetail.ui.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt;version="1.27.0",
+ org.eclipse.emf.ecp.view.treemasterdetail.ui.swt.internal;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.edit.ui.action.ecp;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.validation;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.validation;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Import-Package: javax.inject;version="1.0.0",
  org.eclipse.core.commands;version="0.0.0",
- org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model.common.di.annotations;version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit.ui.dnd;version="0.0.0",
  org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.bazaar;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.view;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.swt.core;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.bazaar;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.view;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.swt.core;version="[1.27.0,1.28.0)",
  org.eclipse.jface.action;version="0.0.0",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/pom.xml
index e177ab0..74434d5 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.ui.swt/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.treemasterdetail.ui.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/META-INF/MANIFEST.MF
index 552cfd3..0773abc 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms TreeMasterDetail Services
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.treemasterdetail.validation;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.internal.validation;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.treemasterdetail.internal.validation;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.treemasterdetail.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.treemasterdetail.ui.swt;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.treemasterdetail.validation
 Import-Package: org.eclipse.emf.edit.ui.provider;version="0.0.0",
- org.eclipse.emfforms.spi.core.services.view;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.core.services.view;version="[1.27.0,1.28.0)",
  org.eclipse.jface.viewers;version="0.0.0",
  org.eclipse.ui.views.properties;version="0.0.0";resolution:=optional
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/pom.xml b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/pom.xml
index c1fb1e0..c71eda8 100644
--- a/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.treemasterdetail.validation/pom.xml
@@ -7,12 +7,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.treemasterdetail.validation</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.unset/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.unset/META-INF/MANIFEST.MF
index 84034db..9f653fa 100644
--- a/bundles/org.eclipse.emf.ecp.view.unset/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.unset/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Unset Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.unset;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.unset;version="1.26.0";x-friends:="org.eclipse.emf.ecp.view.unset.test"
-Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.unset;version="1.27.0";x-friends:="org.eclipse.emf.ecp.view.unset.test"
+Require-Bundle: org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.common;bundle-version="[2.7.0,3.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.core.runtime;bundle-version="[3.8.0,4.0.0)",
- org.eclipse.emfforms.core.services;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.core.services;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.unset
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)"
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.unset/pom.xml b/bundles/org.eclipse.emf.ecp.view.unset/pom.xml
index 7b25ffe..9d2a970 100644
--- a/bundles/org.eclipse.emf.ecp.view.unset/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.unset/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <artifactId>org.eclipse.emf.ecp.view.unset</artifactId>

   <packaging>eclipse-plugin</packaging>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

 

   <groupId>org.eclipse.emf.ecp</groupId>

 

diff --git a/bundles/org.eclipse.emf.ecp.view.util.swt.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.util.swt.rap/META-INF/MANIFEST.MF
index 3146205..29ca57a 100644
--- a/bundles/org.eclipse.emf.ecp.view.util.swt.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.util.swt.rap/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMFForms SWT Util RAP
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.util.swt.rap
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.util.swt.rap;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.view.internal.util.swt.rap;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.util.swt;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.rap.rwt;bundle-version="[3.1.0,4.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/org.eclipse.emf.ecp.view.internal.util.swt.rap.EMFFormsSWTLayoutDirect.xml,OSGI-INF/org.eclipse.emf.ecp.view.internal.util.swt.rap.RAPImageRegistryService.xml
 Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.emfforms.spi.swt.core.layout;version="[1.26.0,1.26.1)",
+Import-Package: org.eclipse.emfforms.spi.swt.core.layout;version="[1.27.0,1.28.0)",
  org.eclipse.jface.resource;version="0.0.0",
  org.eclipse.swt.graphics;version="0.0.0",
  org.osgi.framework;version="1.3.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.util.swt.rap/pom.xml b/bundles/org.eclipse.emf.ecp.view.util.swt.rap/pom.xml
index ccb228a..5b6f7e6 100644
--- a/bundles/org.eclipse.emf.ecp.view.util.swt.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.util.swt.rap/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.util.swt.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.util.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.util.swt/META-INF/MANIFEST.MF
index 57a5c2a..7b06a7e 100644
--- a/bundles/org.eclipse.emf.ecp.view.util.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.util.swt/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMFForms SWT Util
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.util.swt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.util.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.util.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.util.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.util.swt;version="1.27.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.util.swt
 Import-Package: org.eclipse.jface.resource;version="0.0.0",
diff --git a/bundles/org.eclipse.emf.ecp.view.util.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.util.swt/pom.xml
index e57d50a..b0aa407 100644
--- a/bundles/org.eclipse.emf.ecp.view.util.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.util.swt/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.util.swt</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.validation.bean.default/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.validation.bean.default/META-INF/MANIFEST.MF
index 67989f1..ece226b 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation.bean.default/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.validation.bean.default/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Default Bean Validation
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.validation.bean.default;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.validation.bean;version="1.26.0";x-internal:=true
-Require-Bundle: org.eclipse.emf.ecp.view.validation;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.validation.bean;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.validation.bean;version="1.27.0";x-internal:=true
+Require-Bundle: org.eclipse.emf.ecp.view.validation;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.validation.bean;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.9.0,3.0.0)",
- org.eclipse.emfforms.common.validation;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.common.validation;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.validation.bean.default
 Import-Package: javax.validation;version="[1.0.0,2.0.0)"
diff --git a/bundles/org.eclipse.emf.ecp.view.validation.bean.default/pom.xml b/bundles/org.eclipse.emf.ecp.view.validation.bean.default/pom.xml
index f8e2df2..22e48ea 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation.bean.default/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.validation.bean.default/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.validation.bean.default</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.validation.bean/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.validation.bean/META-INF/MANIFEST.MF
index c98c632..8a41afc 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation.bean/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.validation.bean/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EMF Forms BeanValidation
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.validation.bean;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.validation.bean.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.validation.bean;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.validation.bean;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.validation;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.internal.validation.bean;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.validation.bean;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.validation;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.5.0,3.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.emfforms.common.validation;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.common.validation;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.validation;version="[1.0.0,2.0.0)",
diff --git a/bundles/org.eclipse.emf.ecp.view.validation.bean/pom.xml b/bundles/org.eclipse.emf.ecp.view.validation.bean/pom.xml
index e5ee036..07de97a 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation.bean/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.validation.bean/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.validation.bean</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.validation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.validation/META-INF/MANIFEST.MF
index edd3b2a..b98d6ab 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.validation/META-INF/MANIFEST.MF
@@ -2,31 +2,31 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Validation Service
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.validation;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.validation.Activator
 Bundle-Vendor: Eclipse Modeling Project
 Bundle-Localization: OSGI-INF/l10n/bundle
-Export-Package: org.eclipse.emf.ecp.view.internal.validation;version="1.26.0";
+Export-Package: org.eclipse.emf.ecp.view.internal.validation;version="1.27.0";
   x-friends:="org.eclipse.emf.ecp.view.table.ui,
    org.eclipse.emf.ecp.view.custom.ui,
    org.eclipse.emf.ecp.edit.swt,
    org.eclipse.emf.ecp.test.model",
- org.eclipse.emf.ecp.view.spi.validation;version="1.26.0"
+ org.eclipse.emf.ecp.view.spi.validation;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.view.context;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.context;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)",
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.common;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.common;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)",
  org.eclipse.core.databinding.observable;bundle-version="[1.4.0,2.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.common.validation;bundle-version="[1.26.0,1.26.1)"
-Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.controlmapper;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.mappingprovider;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.view;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.localization;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.common.validation;bundle-version="[1.27.0,1.28.0)"
+Import-Package: org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.controlmapper;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.mappingprovider;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.view;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.localization;version="[1.27.0,1.28.0)",
  org.osgi.service.component.annotations;version="[1.2.0,2.0.0)";resolution:=optional
 Automatic-Module-Name: org.eclipse.emf.ecp.view.validation
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.view.validation/pom.xml b/bundles/org.eclipse.emf.ecp.view.validation/pom.xml
index d8ddf81..fb10883 100644
--- a/bundles/org.eclipse.emf.ecp.view.validation/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.validation/pom.xml
@@ -7,13 +7,13 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

 

   <groupId>org.eclipse.emf.ecp</groupId>

   <artifactId>org.eclipse.emf.ecp.view.validation</artifactId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <packaging>eclipse-plugin</packaging>

 

 </project>

diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/META-INF/MANIFEST.MF
index 6183d70..4dd6050 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.vertical.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.spi.vertical.model.provider.VerticalEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.vertical.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.vertical.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.8.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.vertical.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/pom.xml
index 9eb364d..d756804 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.model.edit/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.vertical.model.edit</artifactId>
   <packaging>eclipse-plugin</packaging>
 
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <groupId>org.eclipse.emf.ecp</groupId>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.vertical.model/META-INF/MANIFEST.MF
index a5b052b..d9b4a2a 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.model/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.vertical.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.spi.vertical.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.vertical.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.vertical.model.util;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.spi.vertical.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.vertical.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.vertical.model.util;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.vertical.model
diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.vertical.model/pom.xml
index 2a20796..1fb2053 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.model/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
   <artifactId>org.eclipse.emf.ecp.view.vertical.model</artifactId>
   <packaging>eclipse-plugin</packaging>
 
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <groupId>org.eclipse.emf.ecp</groupId>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/META-INF/MANIFEST.MF
index 34ecf99..d65bccb 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/META-INF/MANIFEST.MF
@@ -2,23 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: View Model Vertical UI SWT
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.vertical.ui.swt
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.internal.vertical.swt;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.vertical.swt;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.vertical.swt;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.vertical.swt;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.edit;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.swt.core.di;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui.view.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.edit;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.core.swt;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.swt.core.di;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/verticalLayoutRendererService.xml
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.inject;version="1.0.0",
- org.eclipse.emfforms.spi.common.report;version="[1.26.0,1.26.1)",
- org.eclipse.emfforms.spi.core.services.databinding;version="[1.26.0,1.26.1)",
+ org.eclipse.emfforms.spi.common.report;version="[1.27.0,1.28.0)",
+ org.eclipse.emfforms.spi.core.services.databinding;version="[1.27.0,1.28.0)",
  org.eclipse.jface.layout;version="0.0.0",
  org.eclipse.swt;version="0.0.0",
  org.eclipse.swt.widgets;version="0.0.0"
diff --git a/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/pom.xml b/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/pom.xml
index 688d722..d6676e4 100644
--- a/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.vertical.ui.swt/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/META-INF/MANIFEST.MF
index 2a38855..bf543a6 100644
--- a/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.viewproxy.model.edit;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Activator: org.eclipse.emf.ecp.view.internal.viewproxy.model.provider.ViewproxyEditPlugin$Implementation
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.internal.viewproxy.model.provider;version="1.26.0";x-internal:=true,
- org.eclipse.emf.ecp.view.spi.viewproxy.model.provider;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.viewproxy.model.provider;version="1.27.0";x-internal:=true,
+ org.eclipse.emf.ecp.view.spi.viewproxy.model.provider;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.view.viewproxy.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.viewproxy.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
  org.eclipse.emf.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
  org.eclipse.emf.ecore.edit;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.26.0,1.26.1)";visibility:=reexport
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.view.model.edit;bundle-version="[1.27.0,1.28.0)";visibility:=reexport
 Automatic-Module-Name: org.eclipse.emf.ecp.view.viewproxy.model.edit
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/pom.xml b/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/pom.xml
index 8db44fa..ffe4691 100644
--- a/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.viewproxy.model.edit/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.viewproxy.model/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.viewproxy.model/META-INF/MANIFEST.MF
index b23496e..f2fd102 100644
--- a/bundles/org.eclipse.emf.ecp.view.viewproxy.model/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.viewproxy.model/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.viewproxy.model;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
-Export-Package: org.eclipse.emf.ecp.view.internal.viewproxy.resolver;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.viewproxy.model;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.viewproxy.model.impl;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.viewproxy.model.util;version="1.26.0",
- org.eclipse.emf.ecp.view.spi.viewproxy.resolver;version="1.26.0"
+Export-Package: org.eclipse.emf.ecp.view.internal.viewproxy.resolver;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.viewproxy.model;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.viewproxy.model.impl;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.viewproxy.model.util;version="1.27.0",
+ org.eclipse.emf.ecp.view.spi.viewproxy.resolver;version="1.27.0"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.ecp.view.model;bundle-version="[1.26.0,1.26.1)";visibility:=reexport,
- org.eclipse.emf.ecp.ui.view;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.view.model;bundle-version="[1.27.0,1.28.0)";visibility:=reexport,
+ org.eclipse.emf.ecp.ui.view;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.model.provider.xmi;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.view.vertical.model;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Automatic-Module-Name: org.eclipse.emf.ecp.view.viewproxy.model
diff --git a/bundles/org.eclipse.emf.ecp.view.viewproxy.model/pom.xml b/bundles/org.eclipse.emf.ecp.view.viewproxy.model/pom.xml
index b993c7d..4bfa061 100644
--- a/bundles/org.eclipse.emf.ecp.view.viewproxy.model/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.viewproxy.model/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
 
diff --git a/bundles/org.eclipse.emf.ecp.view.workspace.migrator/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.view.workspace.migrator/META-INF/MANIFEST.MF
index 5fb0711..89fe0a7 100644
--- a/bundles/org.eclipse.emf.ecp.view.workspace.migrator/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.view.workspace.migrator/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ViewModel Workspace Migrator
 Bundle-SymbolicName: org.eclipse.emf.ecp.view.workspace.migrator;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.view.workspace.migrator;version="1.26.0"
-Require-Bundle: org.eclipse.emf.ecp.view.migrator;bundle-version="[1.26.0,1.26.1)",
+Export-Package: org.eclipse.emf.ecp.view.workspace.migrator;version="1.27.0"
+Require-Bundle: org.eclipse.emf.ecp.view.migrator;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.equinox.common;bundle-version="[3.6.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.7.0,4.0.0)",
- org.eclipse.emf.ecp.ide.util;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emf.ecp.ide.util;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Automatic-Module-Name: org.eclipse.emf.ecp.view.workspace.migrator
 Service-Component: OSGI-INF/workspaceMigrator.xml
diff --git a/bundles/org.eclipse.emf.ecp.view.workspace.migrator/pom.xml b/bundles/org.eclipse.emf.ecp.view.workspace.migrator/pom.xml
index 8f79e63..585eac2 100644
--- a/bundles/org.eclipse.emf.ecp.view.workspace.migrator/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.view.workspace.migrator/pom.xml
@@ -5,12 +5,12 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.view.workspace.migrator</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
   
   <properties>
diff --git a/bundles/org.eclipse.emf.ecp.workspace.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.workspace.core/META-INF/MANIFEST.MF
index 69500d5..09da903 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.workspace.core/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Workspace Integration Core
 Bundle-SymbolicName: org.eclipse.emf.ecp.workspace.core;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.workspace.internal.core.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.workspace.internal.core;version="1.26.0";x-friends:="org.eclipse.emf.ecp.workspace.ui,org.eclipse.emf.ecp.ui.view.editor.controls"
+Export-Package: org.eclipse.emf.ecp.workspace.internal.core;version="1.27.0";x-friends:="org.eclipse.emf.ecp.workspace.ui,org.eclipse.emf.ecp.ui.view.editor.controls"
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.core;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.core;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.11.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/bundles/org.eclipse.emf.ecp.workspace.core/pom.xml b/bundles/org.eclipse.emf.ecp.workspace.core/pom.xml
index 998bd51..0489d29 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.core/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.workspace.core/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.workspace.core</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emf.ecp.workspace.ui.rap/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.workspace.ui.rap/META-INF/MANIFEST.MF
index a49c906..37d0ba4 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.ui.rap/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.workspace.ui.rap/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Workspace Integration UI RAP
 Bundle-SymbolicName: org.eclipse.emf.ecp.workspace.ui.rap;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.workspace.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.workspace.internal.ui;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.workspace.internal.ui;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.workspace.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.workspace.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.rap.filedialog;bundle-version="[3.1.2,4.0.0)",
  org.eclipse.rap.rwt;bundle-version="[3.1.2,4.0.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.11.0,3.0.0)"
diff --git a/bundles/org.eclipse.emf.ecp.workspace.ui.rap/pom.xml b/bundles/org.eclipse.emf.ecp.workspace.ui.rap/pom.xml
index 1de97c4..9bf3d20 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.ui.rap/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.workspace.ui.rap/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.ecp.workspace.ui.rap</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
\ No newline at end of file
diff --git a/bundles/org.eclipse.emf.ecp.workspace.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.ecp.workspace.ui/META-INF/MANIFEST.MF
index c591b45..511d130 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.ecp.workspace.ui/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: ECP Workspace Integration UI
 Bundle-SymbolicName: org.eclipse.emf.ecp.workspace.ui;singleton:=true
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.ecp.workspace.internal.ui.Activator
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emf.ecp.workspace.internal.ui;version="1.26.0";x-internal:=true
+Export-Package: org.eclipse.emf.ecp.workspace.internal.ui;version="1.27.0";x-internal:=true
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.workspace.core;bundle-version="[1.26.0,1.26.1)",
- org.eclipse.emf.ecp.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.workspace.core;bundle-version="[1.27.0,1.28.0)",
+ org.eclipse.emf.ecp.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.net4j.util;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.core.expressions;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.ecp.common.ui;bundle-version="[1.26.0,1.26.1)",
+ org.eclipse.emf.ecp.common.ui;bundle-version="[1.27.0,1.28.0)",
  org.eclipse.emf.ecore.xmi;bundle-version="[2.11.0,3.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emf.ecp.workspace.ui/pom.xml b/bundles/org.eclipse.emf.ecp.workspace.ui/pom.xml
index 502c047..e8815ca 100644
--- a/bundles/org.eclipse.emf.ecp.workspace.ui/pom.xml
+++ b/bundles/org.eclipse.emf.ecp.workspace.ui/pom.xml
@@ -5,11 +5,11 @@
   <parent>

     <groupId>org.eclipse.emf.ecp</groupId>

     <artifactId>ecp-bundles-parent</artifactId>

-    <version>1.26.0-SNAPSHOT</version>

+    <version>1.27.0-SNAPSHOT</version>

     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>

   </parent>

   <groupId>org.eclipse.emf.ecp</groupId>

   <artifactId>org.eclipse.emf.ecp.workspace.ui</artifactId>

-  <version>1.26.0-SNAPSHOT</version>

+  <version>1.27.0-SNAPSHOT</version>

   <packaging>eclipse-plugin</packaging>

 </project>
\ No newline at end of file
diff --git a/bundles/org.eclipse.emf.rap.edit.ui.minimal/META-INF/MANIFEST.MF b/bundles/org.eclipse.emf.rap.edit.ui.minimal/META-INF/MANIFEST.MF
index 9a4293e..9eaac87 100644
--- a/bundles/org.eclipse.emf.rap.edit.ui.minimal/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emf.rap.edit.ui.minimal/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Minimal RAP EMF Edit UI
 Bundle-SymbolicName: org.eclipse.emf.rap.edit.ui.minimal
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Activator: org.eclipse.emf.edit.ui.provider.Activator
 Bundle-Vendor: Eclipse Modeling Project
 Export-Package: org.eclipse.emf.edit.ui.dnd;version="2.10.0",
diff --git a/bundles/org.eclipse.emf.rap.edit.ui.minimal/pom.xml b/bundles/org.eclipse.emf.rap.edit.ui.minimal/pom.xml
index fd40db4..f5480e3 100644
--- a/bundles/org.eclipse.emf.rap.edit.ui.minimal/pom.xml
+++ b/bundles/org.eclipse.emf.rap.edit.ui.minimal/pom.xml
@@ -5,11 +5,11 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
-    <version>1.26.0-SNAPSHOT</version>
+    <version>1.27.0-SNAPSHOT</version>
     <relativePath>../../releng/org.eclipse.emf.ecp.releng.bundles/</relativePath>
   </parent>
   <groupId>org.eclipse.emf.ecp</groupId>
   <artifactId>org.eclipse.emf.rap.edit.ui.minimal</artifactId>
-  <version>1.26.0-SNAPSHOT</version>
+  <version>1.27.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/bundles/org.eclipse.emfforms.common.prevalidation/META-INF/MANIFEST.MF b/bundles/org.eclipse.emfforms.common.prevalidation/META-INF/MANIFEST.MF
index 38a4801..0d9ce51 100644
--- a/bundles/org.eclipse.emfforms.common.prevalidation/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.emfforms.common.prevalidation/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Pre-Set Validation
 Bundle-SymbolicName: org.eclipse.emfforms.common.prevalidation
-Bundle-Version: 1.26.0.qualifier
+Bundle-Version: 1.27.0.qualifier
 Bundle-Vendor: Eclipse Modeling Project
-Export-Package: org.eclipse.emfforms.internal.common.prevalidation;version="1.26.0"
+Export-Package: org.eclipse.emfforms.internal.common.prevalidation;version="1.27.0"
 Require-Bundle: org.eclipse.emf.ecore;bundle-version="[2.7.0,3.0.0)",
- org.eclipse.emfforms.common;bundle-version="[1.26.0,1.26.1)"
+ org.eclipse.emfforms.common;bundle-version="[1.27.0,1.28.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Service-Component: OSGI-INF/PreSetValidationServiceImpl.xml
 Bundle-ActivationPolicy: lazy
diff --git a/bundles/org.eclipse.emfforms.common.prevalidation/pom.xml b/bundles/org.eclipse.emfforms.common.prevalidation/pom.xml
index 1001bda..3b158d3 100644
--- a/bundles/org.eclipse.emfforms.common.prevalidation/pom.xml
+++ b/bundles/org.eclipse.emfforms.common.prevalidation/pom.xml
@@ -7,13 +7,13 @@
   <parent>
     <groupId>org.eclipse.emf.ecp</groupId>
     <artifactId>ecp-bundles-parent</artifactId>
<